<?php

namespace App\Controller\Catalog;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session\Session;
use App\Entity\Areainteres;
use App\Entity\Tipointeres;

class CatalogosAreaInteresController extends AbstractController
{
  private $rolAccess = 50;
  /**
   * @Route("Catalogos/TiposDeInteres", name="catalogo_areasInteres_index")
   */
  public function catalogo_areasInteres_index()
  {
   if ( $this->access() ){
    $select['interes'] = $this->getDoctrine()->getRepository(Tipointeres::class)->findBy(array(), array('tipointeresdescripcion' => 'ASC'));
    return $this->render('ccp/catalog/areasInteres.html.twig', array( 'select' => $select ) );
   }
   else
     return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
  }

  /**
   * @Route("Catalogos/get_all_TiposDeInteres", name="get_all_areasInteres_json")
   */
  public function get_all_areasInteres_jsonInteres(Request $request) {
   if($request->isXmlHttpRequest() AND  $this->access() ) {
   	  $em  = $this->getDoctrine()->getManager();
      $sql = "SELECT * FROM AreaInteres ai JOIN TipoInteres ti ON ti.TipoInteresID = ai.TipoInteresID;";
      $stm = $em->getConnection()->prepare( $sql );
      $stm->execute();
      return new JsonResponse([ 'data' => $stm->fetchAll() ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } else {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
  * @Route("Catalogos/TiposDeInteresAdd", name="catalogo_areasInteres_add", methods={"POST"})
  */
   public function catalogo_areasInteres_add(Request $request) {
    if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
    try {
      $nombre = $request->get('nombre');
      $xid = $request->get('xid');
      $area = $request->get('area');
      $em = $this->getDoctrine()->getManager();
      if($xid == ""){
         $var = new Areainteres();
      }else{
         $var = $em->getRepository(Areainteres::class)->find($xid);
      }
      $var->setAreainteresdescripcion($nombre);
      $var->setTipointeresid( $em->getReference('App\Entity\Tipointeres', $area) );
      $var->setAreainteresactivo( TRUE );
      $em->persist($var);
      $em->flush();
      $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
    	 $message = "Ha ocurrido un error";
      return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
    * @Route("Catalogos/TiposDeInteresDelete", name="catalogo_areasInteres_delete", methods={"POST"})
    */
  public function catalogo_areasInteres_delete(Request $request){
   if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
    return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
   try {
       $ids = $request->get('ids');
       $em = $this->getDoctrine()->getManager();
       foreach ($ids as $id) {
           $rol = $this->getDoctrine()->getRepository(Areainteres::class)->find($id['id']);
           $em->remove($rol);
           $em->flush();
    }
      $message = "Registros eliminados exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
       $message = "Ha ocurrido un error";
       return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }
  private function access(){
   $session = new Session();
   if ( $session->get('useridrol') >= $this->rolAccess )
     return TRUE;
   else
     return FALSE;
  }
}
