<?php

namespace App\Controller\Catalog;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use App\Entity\Areatrabajo;
use Symfony\Component\HttpFoundation\Session\Session;

class CatalogosAreaTrabajoController extends AbstractController
{
  private $rolAccess = 50;
  /**
   * @Route("Catalogos/AreasTrabajo", name="catalogo_areaTrabajo_index")
   */
  public function catalogo_areaTrabajo_index(){
   if ( $this->access() ){
    $select['area'] = $this->getDoctrine()->getRepository(Areatrabajo::class)->findBy(['areatrabajo' => NULL], array('areatrabajodescripcion' => 'ASC'));
   	return $this->render('ccp/catalog/areaTrabajo.html.twig', array( 'select' => $select ) );
   }
   else
     return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
  }

  /**
    * @Route("Catalogos/getAllAreasTrabajo/json", name="get_all_AreasTrabajo_json")
    */
  public function get_all_AreasTrabajo_json(Request $request) {
   if($request->isXmlHttpRequest() AND  $this->access() ) {
     $em  = $this->getDoctrine()->getManager();
     $sql = "SELECT dc.AreaTrabajoDescripcion cat, '' item, dc.AreaTrabajoID val, -1 idcat FROM AreaTrabajo dc WHERE dc.AreaTrabajo_ID IS NULL
              UNION
             SELECT d.AreaTrabajoDescripcion cat,ds.AreaTrabajoDescripcion item, ds.AreaTrabajoID val, ds.AreaTrabajo_ID idcat FROM AreaTrabajo d JOIN AreaTrabajo ds ON ds.AreaTrabajo_ID = d.AreaTrabajoID ";
     $stm = $em->getConnection()->prepare( $sql );
     $stm->execute();
     return new JsonResponse([ 'data' => $stm->fetchAll() ], Response::HTTP_OK, ['content-type'=>'application/json']);
   } else {
     return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
  }

  /**
  * @Route("Catalogos/AreasTrabajoAdd", name="catalogo_areaTrabajo_add", methods={"POST"})
  */
   public function catalogo_areaTrabajo_add(Request $request) {
    if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
    try {
      $nombre = $request->get('nombre');
      $cat = $request->get('cat');
      $xid = $request->get('xid');
      $em = $this->getDoctrine()->getManager();
      if($xid == ""){
         $var = new Areatrabajo();
      }else{
         $var = $em->getRepository(Areatrabajo::class)->find($xid);
      }
      $var->setAreatrabajodescripcion($nombre);
      if ( $cat > 0) {
        $var->setAreatrabajo($em->getReference('App\Entity\Areatrabajo', $cat));
      }
      $em->persist($var);
      $em->flush();
      $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
    	 $message = "Ha ocurrido un error";
      return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
    * @Route("Catalogos/DiscapacidadDelete", name="catalogo_areaTrabajo_delete", methods={"POST"})
    */
  public function catalogo_areaTrabajo_delete(Request $request){
   if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
    return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
   try {
       $ids = $request->get('ids');
       $em = $this->getDoctrine()->getManager();
       foreach ($ids as $id) {
           $rol = $this->getDoctrine()->getRepository(Areatrabajo::class)->find($id['id']);
           $em->remove($rol);
           $em->flush();
      }
      $message = "Registros eliminados exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
       $message = "Ha ocurrido un error";
       return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  private function access(){
   $session = new Session();
   if ( $session->get('useridrol') >= $this->rolAccess )
     return TRUE;
   else
     return FALSE;
  }
}
