<?php

namespace App\Controller\Catalog;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session\Session;
use App\Entity\Institucion;

class CatalogosInstitucionController extends AbstractController
{
  private $rolAccess = 50;
  /**
   * @Route("Catalogos/Institucion", name="catalogo_institucion_index")
   */
  public function catalogo_institucion_index()
  {
   if ( $this->access() ){
         return $this->render('ccp/catalog/institucion.html.twig', array(  ) );
   }
   else
     return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
  }

  /**
   * @Route("Catalogos/getAllInstitucion/json", name="get_all_Institucion_json")
   */
  public function get_all_Institucion_json(Request $request) {
   if($request->isXmlHttpRequest() AND  $this->access() ) {
   	  $em  = $this->getDoctrine()->getManager();
      $sql = "SELECT InstitucionID, InstitucionDescrip, InstitucionSiglas FROM Institucion";
      $stm = $em->getConnection()->prepare( $sql );
      $stm->execute();
      return new JsonResponse([ 'data' => $stm->fetchAll() ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } else {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
  * @Route("Catalogos/InstitucionAdd", name="catalogo_institucion_add", methods={"POST"})
  */
   public function catalogo_institucion_add(Request $request) {
    if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
    try {
      $nombre = $request->get('nombre');
      $sigla = $request->get('sigla');
      $xid = $request->get('xid');
      $em = $this->getDoctrine()->getManager();
      if($xid == ""){
         $var = new Institucion();
      }else{
         $var = $em->getRepository(Institucion::class)->find($xid);
      }
      $var->setInstituciondescrip($nombre);
      $var->setInstitucionsiglas($sigla);
      $em->persist($var);
      $em->flush();
      $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
    	 $message = "Ha ocurrido un error";
      return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
    * @Route("Catalogos/InstitucionDelete", name="catalogo_institucion_delete", methods={"POST"})
    */
  public function catalogo_institucion_delete(Request $request){
   if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
    return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
   try {
       $ids = $request->get('ids');
       $em = $this->getDoctrine()->getManager();
       foreach ($ids as $id) {
           $rol = $this->getDoctrine()->getRepository(Institucion::class)->find($id['id']);
           $em->remove($rol);
           $em->flush();
    }
      $message = "Registros eliminados exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
       $message = "Ha ocurrido un error";
       return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }
  private function access(){
   $session = new Session();
   if ( $session->get('useridrol') >= $this->rolAccess )
     return TRUE;
   else
     return FALSE;
  }
}
