<?php

namespace App\Controller\Catalog;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session\Session;
use App\Entity\Niveleducativo;

class CatalogosNivelEducativoController extends AbstractController
{
  private $rolAccess = 50;
  /**
   * @Route("Catalogos/NivelEducativo", name="catalogo_NivelEducativo_index")
   */
  public function catalogo_NivelEducativo_index()
  {
   if ( $this->access() ){
     $select['nivel'] = $this->getDoctrine()->getRepository(Niveleducativo::class)->findBy(['niveleducativo' => NULL], array('niveleducativodescripcion' => 'ASC'));
     return $this->render('ccp/catalog/catalogos_educacion/nivelEducativo.html.twig', array( 'select' => $select ) );
   }
   else
     return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
  }

  /**
   * @Route("Catalogos/getAllNivelEducativo/json", name="get_all_NivelEducativo_json")
   */
  public function get_all_NivelEducativo_json(Request $request) {
   if($request->isXmlHttpRequest() AND  $this->access() ) {
   	  $em  = $this->getDoctrine()->getManager();
      $sql = "SELECT NivelEducativoID, NivelEducativoDescripcion FROM NivelEducativo";
      $sql = "SELECT dc.NivelEducativoDescripcion cat, '' item, dc.NivelEducativoID val, -1 idcat FROM NivelEducativo dc WHERE dc.NivelEducativo_ID IS NULL
               UNION
              SELECT d.NivelEducativoDescripcion cat,ds.NivelEducativoDescripcion item, ds.NivelEducativoID val, ds.NivelEducativo_ID idcat FROM NivelEducativo d JOIN NivelEducativo ds ON ds.NivelEducativo_ID = d.NivelEducativoID";

      $stm = $em->getConnection()->prepare( $sql );
      $stm->execute();
      return new JsonResponse([ 'data' => $stm->fetchAll() ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } else {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
  * @Route("Catalogos/NivelEducativoAdd", name="catalogo_NivelEducativo_add", methods={"POST"})
  */
   public function catalogo_NivelEducativo_add(Request $request) {
    if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
    try {
      $nombre = $request->get('nombre');
      $cat = $request->get('cat');
      $xid = $request->get('xid');
      $em = $this->getDoctrine()->getManager();
      if($xid == ""){
         $var = new Niveleducativo();
      }else{
         $var = $em->getRepository(Niveleducativo::class)->find($xid);
      }
      if ( $cat > 0) {
        $var->setNiveleducativo($em->getReference('App\Entity\Niveleducativo', $cat));
      }
      $var->setNiveleducativodescripcion($nombre);
      $em->persist($var);
      $em->flush();
      $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
    	 $message = "Ha ocurrido un error";
      return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }

  /**
    * @Route("Catalogos/NivelEducativoDelete", name="catalogo_NivelEducativo_delete", methods={"POST"})
    */
  public function catalogo_NivelEducativo_delete(Request $request){
   if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
    return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
   try {
       $ids = $request->get('ids');
       $em = $this->getDoctrine()->getManager();
       foreach ($ids as $id) {
           $rol = $this->getDoctrine()->getRepository(Niveleducativo::class)->find($id['id']);
           $em->remove($rol);
           $em->flush();
    }
      $message = "Registros eliminados exitosamente";
      return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
    } catch (Exception $e) {
       $message = "Ha ocurrido un error";
       return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
    }
  }
  private function access(){
   $session = new Session();
   if ( $session->get('useridrol') >= $this->rolAccess )
     return TRUE;
   else
     return FALSE;
  }
}
