<?php

namespace App\Controller\Catalog;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use App\Entity\ExpComentario;
use App\Entity\Expediente;
class ComentariosController extends AbstractController
{
	private const  usuariocreo = "Desarrollador Creador";
    private const  usuariomodifico = "Desarrollador Modificador";
	 /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerComentarios", name="get_expediente_comentarios_json", methods={"GET"})
     */
    public function get_expediente_comentarios_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT 
            	c.comentarioid,
                c.expcomentario
             FROM App\Entity\ExpComentario AS c
             WHERE c.expedientenumero = :numeroExpediente
            '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $comentarios = $query->getArrayResult();
    return new JsonResponse([ 'data' => $comentarios ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }


    /**
     * @Route("RegistroParticipante/Expedientes/AddComentario", name="add_expediente_comentario", methods={"POST"})
     */
      public function add_expediente_comentario(Request $request)
    {
		  
        try {
        $numeroExpediente = $request->get('expediente');
        $comentario = $request->get('comentario');
        $comentarioid = $request->get('comentarioid');
        $session = $request->getSession();
        $usuario = $session->get('username');

        $em = $this->getDoctrine()->getManager();
        $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$numeroExpediente));
        
		$type = 'success';
        if($comentarioid === ""){
        	$message =  "Registro Guardado Exitosamente";
	        if($expediente == null){
				$message = "Debe seleccionar un particpante";
				$type = 'warning';
	        }else{
	        	$fechaCreacion = new \DateTime("now");
	          $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
	          $usuarioCreacion = self::usuariocreo;
	          $sql  = "INSERT INTO expcomentario(ExpComentario,ExpedienteNumero,ExpComentarioFecCrea,ExpComentarioUsrCrea) 
	                                     	VALUES('$comentario', '$numeroExpediente','$fechaCreacion','$usuario')";
	                
	                  $statement = $em->getConnection()->prepare($sql);
	                  $statement->execute();
	        }
        }else{
        	$message =  "Registro Actualizado Exitosamente";
        	if($expediente == null){
				$message = "Debe seleccionar un particpante";
				$type = 'warning';
	        }else{
	        	$fechaCreacion = new \DateTime("now");
	            $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
	            $sql  = "UPDATE expcomentario SET ExpComentario = '$comentario' WHERE comentarioid = $comentarioid";
	            $statement = $em->getConnection()->prepare($sql);
	            $statement->execute();
	        }
        }
        
        return new JsonResponse([ 'message' => $message, 'type' => $type ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
        	$message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
        
    }

     /**
     * @Route("RegistroParticipante/Expedientes/DeleteComentario", name="delete_expediente_comentario", methods={"POST"})
     */
      public function delete_expediente_comentario(Request $request)
    {
        try {
        $id = $request->get('id');
        $em = $this->getDoctrine()->getManager();
        $comentario = $this->getDoctrine()->getRepository(ExpComentario::class)->find($id);
        $em->remove($comentario);
        $em->flush();
        $message = "Registros eliminados exitosamente";
        return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
        
    }
}