<?php

namespace App\Controller\Catalog;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use App\Entity\ExpComentario;
use App\Entity\Expediente;
class ProcesoFormativoController extends AbstractController
{
	private const  usuariocreo = "Desarrollador Creador";
    private const  usuariomodifico = "Desarrollador Modificador";

    /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerProcesosFormativos", name="get_expediente_procesos_formativos_json", methods={"GET"})
     */
    public function get_expediente_procesos_formativos_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
            	  pf.procesoformativonum,
                pf.procesoformativonombre,
                cu.cursocodigo,
                cu.cursoid,
                pf.procesoformativofecinscripcion,
                pf.procesoformativoduracion,
                pf.procesoformativoestadoproceso,
                pf.procesoformativofecinscripfina,
                tp.tipoprocesonombre,
                ins.instituciondescrip,
                ins.institucionid,
                pf.procesoformativousrcrea,
                pf.procesoformativofeccrea,
                pf.procesoformativousrmod,
                pf.procesoformativofecmod

             FROM App\Entity\Procesoformativo AS pf
             LEFT JOIN App\Entity\Curso AS cu WITH pf.procesoformativocodigocurso = cu.cursocodigo
              JOIN App\Entity\Tipoproceso AS tp WITH cu.tipoprocesoid = tp.tipoprocesoid
              JOIN App\Entity\Institucion AS ins WITH cu.institucionid = ins.institucionid

             WHERE pf.expedientenumero = :numeroExpediente AND pf.procesoformativoestadoproceso IN (27,28,29, 30)
            '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $comentarios = $query->getArrayResult();
    return new JsonResponse([ 'data' => $comentarios ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

     /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerProcesosCopyFormativos", name="get_expediente_procesos_formativos_copy_json", methods={"GET"})
     */
    public function get_expediente_procesos_formativos_copy_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
                pf.procesoformativonum,
                pf.procesoformativonombre,
                cu.cursocodigo,
                cu.cursoid,
                pf.procesoformativofecinscripcion,
                pf.procesoformativoduracion,
                pf.procesoformativoestadoproceso,
                pf.procesoformativofecinscripfina,
                tp.tipoprocesonombre,
                ins.instituciondescrip,
                ins.institucionid,
                pf.procesoformativousrcrea,
                pf.procesoformativofeccrea,
                pf.procesoformativousrmod,
                pf.procesoformativofecmod

             FROM App\Entity\Procesoformativo AS pf
             LEFT JOIN App\Entity\Curso AS cu WITH pf.procesoformativocodigocurso = cu.cursocodigo
              JOIN App\Entity\Tipoproceso AS tp WITH cu.tipoprocesoid = tp.tipoprocesoid
              JOIN App\Entity\Institucion AS ins WITH cu.institucionid = ins.institucionid

             WHERE pf.expedientenumero = :numeroExpediente AND pf.procesoformativoestadoproceso IN (27,28,29, 30) 
            '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $comentarios = $query->getArrayResult();
    return new JsonResponse([ 'data' => $comentarios ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }


    /**
     * @Route("/RegistroParticipante/Expedientes/AddProcesoFormativo", name="add_proceso_formativo_json", methods={"POST"})
     */
    public function add_proceso_formativo_json(Request $request)
    {
    	try{
       	$em = $this->getDoctrine()->getManager();
       	$numeroExpediente = $request->get('numero-expediente');
       	$codigoprocesoformativo =$request->get('codigo-proceso-formativo');
    		$duracionprocesoformativo = $request->get('duracion-proceso-formativo');
    		$estadoprocesoformativo = $request->get('estado-proceso-formativo');
    		$estadoprocesoformativotext = $request->get('estado-proceso-formativo-text');
    		$fechainscripcionfinalprocesoformativo = $request->get('fecha-inscripcion-final-proceso-formativo');
    		$fechainscripcionprocesoformativo = $request->get('fecha-inscripcion-proceso-formativo');
    		$institucionprocesoformativo = $request->get('institucion-proceso-formativo');
    		$institucionprocesoformativotext = $request->get('institucion-proceso-formativo-text');
    		$nombreprocesoformativo = $request->get('nombre-proceso-formativo');
    		$nombreprocesoformativotext = $request->get('nombre-proceso-formativo-text');
    		$fechainscripcion = new \DateTime($fechainscripcionprocesoformativo);
    	  $fechainscripcion = $fechainscripcion->format("Y-m-d H:i:s");
    	  $fechainscripcionfinal = new \DateTime($fechainscripcionfinalprocesoformativo);
    	  $fechainscripcionfinal = $fechainscripcionfinal->format("Y-m-d H:i:s");
    	  $fechaCreacion = new \DateTime("now");
    	  $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
        $session = $request->getSession();
        $usuario = $session->get('username');


        $numeroProceso = $request->get('numeroProceso');
    if($numeroProceso === ""){
           $query = $em->createQuery(
            'SELECT
                exe.procesoformativonum
             FROM App\Entity\Procesoformativo exe
             WHERE exe.expedientenumero = :numeroExpediente
             ORDER BY exe.procesoformativonum DESC
             '
            );
        $limit = 1;
        $query->setMaxResults( $limit );
        $query->setParameter('numeroExpediente', $numeroExpediente);
        $expediente_educacion = $query->getOneOrNullResult();
        try {
            $ultimoid = $expediente_educacion["procesoformativonum"];
        } catch (Exception $e) {
            $ultimoid = 0;
        }


        $ultimoid = ($ultimoid == null || $ultimoid == 0) ? 1: $ultimoid + 1;
      $sql  = "INSERT INTO ProcesoFormativo
           (
           procesoformativonum,
           expedientenumero,
           procesoformativonombre,
           procesoformativocodigocurso,
           procesoformativoestadoproceso,
           procesoformativofecinscripcion
           ,procesoformativoduracion
           ,ProcesoFormativoUsrCrea
           ,ProcesoFormativoFecCrea
           ,procesoformativoinstitucion
           ,ProcesoFormativoFecInscripFina
           )
     VALUES
           ('$ultimoid',
            '$numeroExpediente',
            '$nombreprocesoformativotext',
            '$codigoprocesoformativo',
            '$estadoprocesoformativo',
            '$fechainscripcion',
            '$duracionprocesoformativo',
            '$usuario',
            '$fechaCreacion',
            '$institucionprocesoformativotext',
            '$fechainscripcionfinal')";

      $statement = $em->getConnection()->prepare($sql);
      $statement->execute();
      $message = "Registro almacenado correctamente";
    }else{
      $sql="UPDATE ProcesoFormativo SET
           procesoformativonombre = '$nombreprocesoformativotext',
           procesoformativocodigocurso = '$codigoprocesoformativo',
           procesoformativoestadoproceso = '$estadoprocesoformativo',
           procesoformativofecinscripcion = '$fechainscripcion',
           procesoformativoduracion = '$duracionprocesoformativo',
           ProcesoFormativoUsrMod = '$usuario',
           ProcesoFormativoFecMod = '$fechaCreacion',
           procesoformativoinstitucion = '$institucionprocesoformativotext',
           ProcesoFormativoFecInscripFina = '$fechainscripcionfinal'

           WHERE ProcesoFormativoNum = $numeroProceso AND expedientenumero = '$numeroExpediente'

      ";
      $statement = $em->getConnection()->prepare($sql);
      $statement->execute();
      $message = "Registro actualizado correctamente";
    }

    	return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
        	$message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }
}
