<?php

namespace App\Controller\Process;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Session\Session;
use App\Entity\Sexo;
use App\Entity\Nacionalidad;
use App\Entity\Provincia;
use App\Entity\Canton;
use App\Entity\Distrito;
use App\Entity\Areainteres;
use App\Entity\Tipointeres;
use App\Entity\Discapacidad;
use App\Entity\Expediente;
use App\Entity\Razonnoestudia;
use App\Entity\Necesitavolveraestudiar;
use App\Entity\Niveleducativo;
use App\Entity\Interes;
use App\Entity\Institucion;
use App\Entity\Curso;
use App\Entity\Contactoemergencia;
use App\Entity\Areatrabajo;
use App\Entity\Jornadatrabajo;
use App\Entity\Interesmodalidadeducativa;
use App\Entity\Centrocivico;
use App\Entity\Oferta;
use Symfony\Component\Validator\Constraints\DateTime;

class RegistroParticipanteController extends AbstractController
{
    private const  usuariocreo = "Desarrollador Creador";
    private const  usuariomodifico = "Desarrollador Modificador";
    private $rolAccess = 5;
    /**
     * @Route("/RegistroParticipante/Participante", name="registro_participante")
     */
    public function nuevo_participante(Request $request)
    {
      if ( !$this->access() ){
        return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
      }

        $em = $this->getDoctrine()->getManager();
        $session = $request->getSession();
        $centrocivicoid = $session->get('useridccp');

    	$select['sexos'] = $this->getDoctrine()->getRepository(Sexo::class)->findAll();
    	$select['nacionalidades'] = $this->getDoctrine()->getRepository(Nacionalidad::class)->findAll();
    	$select['provincias'] = $this->getDoctrine()->getRepository(Provincia::class)->findAll();
    	$select['cantones'] = $this->getDoctrine()->getRepository(Canton::class)->findAll();
    	$select['distritos'] = $this->getDoctrine()->getRepository(Distrito::class)->findAll();

    	$select['intereses'] = $this->getDoctrine()->getRepository(Tipointeres::class)->findAll();
    	$select['areas'] = $this->getDoctrine()->getRepository(Areainteres::class)->findAll();

    	$select['discapacidades'] = $this->getDoctrine()->getRepository(Discapacidad::class)->findBy(array("discapacidad"=>null));
        $select['razones'] = $this->getDoctrine()->getRepository(Razonnoestudia::class)->findAll();

        $select['necesidades'] = $this->getDoctrine()->getRepository(Necesitavolveraestudiar::class)->findAll();
        $select['modalidades'] = $this->getDoctrine()->getRepository(Interesmodalidadeducativa::class)->findAll();

        $select['niveles'] = $this->getDoctrine()->getRepository(Niveleducativo::class)->findBy(array("niveleducativo"=>null));

        $select['instituciones'] = $this->getDoctrine()->getRepository(Institucion::class)->findAll();

        /*$select['instituciones'] = $this->getDoctrine()
        ->getRepository(Curso::class)
        ->createQueryBuilder('c')
        ->join('c.institucionid', 'i')
        ->select('i.institucionid,i.instituciondescrip')
        ->where('c.centrocivicoid = :centrocivicoid')
        ->setParameter('centrocivicoid', $centrocivicoid)
        ->distinct()
        ->getQuery()
        ->getResult();*/


        $select['trabajos'] = $this->getDoctrine()->getRepository(Areatrabajo::class)->findAll();
        $select['jornadas'] = $this->getDoctrine()->getRepository(Jornadatrabajo::class)->findAll();

        $query = $em->createQuery(
                'SELECT
                    i.institucionid,
                    c.cursoid,
                    c.cursonombre,
                    c.cursocodigo,
                    o.ofertafechaini,
                    o.ofertafechafin
             FROM App\Entity\Curso c
             JOIN App\Entity\Institucion i WITH c.institucionid = i.institucionid
             LEFT JOIN App\Entity\Oferta o WITH o.cursoid = c.cursoid
             WHERE c.centrocivicoid = :centrocivicoid AND o.ofertafechafin > :fechaactual'
        );
        $query->setParameter('centrocivicoid', $centrocivicoid);
        $query->setParameter('fechaactual', new \DateTime("now"));
        $select['cursos'] = $query->getArrayResult();

        return $this->render('ccp/process/participantes/registro_participante.html.twig', [
            'controller_name' => 'RegistroParticipanteController', 'select' => $select
        ]);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes", name="get_all_expedientes_json")
     */
    public function get_all_expedientes_json(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $session = $request->getSession();
        $usuario = $session->get('username');
        $centrocivicoid = $session->get('useridccp');
        $centrocivico = $em->getRepository(Centrocivico::class)->findOneBy(array("centrocivicoid"=>$centrocivicoid));
        $siglas = $centrocivico->getCentrocivicosiglas();

        $filtros = json_decode($request->get('filters'));


       //El primer bloque es para los datos generales del participante
       //El segundo bloque es para los datos del encargado del participante
       //El tercer bloque es para actividad economica
       //El cuarto bloque es para educacion
       //El quinto bloque es para salud
       //El sexto bloque es para los datos de presente y futuro del participante

        $string_query = 'SELECT DISTINCT
                e.expedientenumero,
                e.expedientenombre1,
                e.expedientenombre2,
                e.expedienteapellido1,
                e.expedienteapellido2,
                e.expedientefecnac,
                e.expedienteindentif,
                s.sexoid,
                n.nacionalidadid,
                d.distritoid,
                can.cantonid,
                prov.provinciaid,
                e.expedientebarrio,
                e.expedientedireccion,
                e.expedientetelefono,
                e.expedientetelefonocelular,
                e.expedientecorreoelectronico,
                e.expedienteotrotelefono,
                e.expedientemediocontacto,
                e.expedienteredessociales,
                e.expedienteimageprofile,

                e.expedientemadrenom1,
                e.expedientemadreapel1,
                e.expedientemadreapel2,
                e.expedientemadreocupacion,
                e.expedientepadrenom1,
                e.expedientepadreapel1,
                e.expedientepadreapel2,
                e.expedientepadreocupacion,
                e.expedientepadrevive,
                e.expedientemadrevive,
                e.expedientemadreresponsable,
                e.expedientepadreresponsable,
                e.expedientetelefonopadre,
                e.expedientetelefonomadre,
                e.expedienteesmadrecontactoemergencia,
                e.expedienteespadrecontactoemergencia,
                e.expedientenumeropersonasvive,
                e.expedienteparentescos,

                e.expedientedependienteeconomico,
                e.expedientetrabajooficio,
                e.expedientetrabajoremunerado,

                e.expedienteniveleducativo,
                e.expedienteeducotronivel,
                e.expedienteeducactual,
                e.nivelestudiorel,
                e.expedienteeducvolverest,
                e.expedienteeducmotivo,
                r.razonnoestudiaid,
                e.expedienteeducestudio,
                ne.necesitavolveraestudiarid,
                im.imodalidadeducativaid,

                e.expedientedificultadaprendizaje,
                e.expedienterestriccionalimentaria,
                e.expedienterequiereadecuacion,
                e.expedienteadectipo,

                e.expedientehijos,
                e.expedientehabilidades,
                e.expedientedestrezas,
                e.expedientepreocupaciones,
                e.expedientegusthacer1,
                e.expedientegusthacer5
             FROM App\Entity\Expediente e
             LEFT JOIN App\Entity\Sexo s WITH e.sexoid = s.sexoid
             LEFT JOIN App\Entity\Nacionalidad n WITH e.nacionalidadid = n.nacionalidadid
             LEFT JOIN App\Entity\Distrito d WITH e.distritoid = d.distritoid
             LEFT JOIN App\Entity\Canton can WITH d.cantonid = can.cantonid
             LEFT JOIN App\Entity\Provincia prov WITH can.provinciaid = prov.provinciaid
             LEFT JOIN App\Entity\Razonnoestudia r WITH e.razonnoestudiaid = r.razonnoestudiaid
             LEFT JOIN App\Entity\Necesitavolveraestudiar ne WITH e.necesitavolveraestudiarid = ne.necesitavolveraestudiarid
             LEFT JOIN App\Entity\Interesmodalidadeducativa im WITH e.interesmodalidadeducativaid = im.imodalidadeducativaid
             WHERE e.expedientenumero LIKE :word
             AND e.expedientenumero LIKE :filter1
             AND e.expedientenumero LIKE :filter2
             AND e.expedientenombre1 LIKE :filter3
             AND e.expedienteapellido1 LIKE :filter4
             AND e.expedienteapellido2 LIKE :filter5
             AND e.expedientefecnac LIKE :filter6
             ';
        $query = $em->createQuery($string_query);

        if($session->get('useridrol')>=50){
             $query->setParameter('word', '%'.''.'%');
        }else{
             $query->setParameter('word', '%'.$siglas.'%');
        }

        if ($filtros == []) {
            for ($i=1; $i <= 6 ; $i++) {
               $query->setParameter('filter'.$i, '%'.''.'%');
            }
        }else{
            $filterCount = 1;
            foreach ($filtros as $filtro => $value) {
                switch ($value->filterType) {
                    case '1':
                         $query->setParameter('filter'.$filterCount, '%'.$value->filterContent.'%');
                        break;
                    case '2':
                        $query->setParameter('filter'.$filterCount, $value->filterContent.'%');
                        break;
                    case '3':
                        $query->setParameter('filter'.$filterCount, '%'.$value->filterContent);
                        break;
                    default:
                        $query->setParameter('filter'.$filterCount, '%'.''.'%');
                        break;
                }
                $filterCount++;
            }
        }




    $centros_educativos = $query->getArrayResult();
    return new JsonResponse([ 'data' => $centros_educativos ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerContactosEmergencia", name="get_contactos_emergencia_json", methods={"GET"})
     */
    public function get_contactos_emergencia_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
                ce.contactoemergenciaid,
                ce.contactoemergencianombcomp,
                ce.contactoemergenciarelacion,
                ce.contactoemergenciatelefono,
                ce.contactoemergenciatelefonomovil,
                ce.contactoemergenciaactivo
             FROM App\Entity\Contactoemergencia ce
             WHERE ce.expedientenumero = :numeroExpediente
             '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $contactos_emergencia = $query->getArrayResult();
    return new JsonResponse([ 'data' => $contactos_emergencia ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/AddContactoEmergencia", name="add_contacto_emergencia_json", methods={"POST"})
     */
    public function add_contacto_emergencia_json(Request $request)
    {
        $numeroExpediente = $request->get('numero-expediente');
        $nombrecompleto = $request->get('nombre-completo-contacto-emergencia');
        $telefonocontacto = $request->get('telefono-contacto-emergencia');
        $movilcontacto = $request->get('movil-contacto-emergencia');
        $parentesco = $request->get('parentesco-contacto-emergencia');
        $contactoemergenciaid = $request->get('contacto-emergencia-id');
        $session = $request->getSession();
        $usuario = $session->get('username');
        $em = $this->getDoctrine()->getManager();
        if ($contactoemergenciaid === "") {
           $query = $em->createQuery(
            'SELECT
                ce.contactoemergenciaid
             FROM App\Entity\Contactoemergencia ce
             WHERE ce.expedientenumero = :numeroExpediente
             ORDER BY ce.contactoemergenciaid DESC
             '
            );
        $limit = 1;
        $query->setMaxResults( $limit );
        $query->setParameter('numeroExpediente', $numeroExpediente);
        $contactos_emergencia = $query->getOneOrNullResult();
        try {
            $ultimoid = $contactos_emergencia["contactoemergenciaid"];
        } catch (Exception $e) {
            $ultimoid = 0;
        }


           $ultimoid = ($ultimoid == null || $ultimoid == 0) ? 1: $ultimoid + 1;

           $fechaCreacion = new \DateTime("now");
           $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
           $usuarioCreacion = self::usuariocreo;
           $sql  = "INSERT INTO Contactoemergencia(
                    ContactoEmergenciaNombComp,
                    ContactoEmergenciaTelefono,
                    ContactoEmergenciaTelefonoMovil,
                    ContactoEmergenciaRelacion,
                    ContactoEmergenciaFecCrea,
                    ContactoEmergenciaUsrCrea,
                    ContactoEmergenciaUsrMod,
                    ContactoEmergenciaFecMod,
                    ExpedienteNumero,
                    ContactoEmergenciaID,
                    ContactoEmergenciaActivo
                    )
                    VALUES(
                    '$nombrecompleto',
                    '$telefonocontacto',
                    '$movilcontacto',
                    '$parentesco',
                    '$fechaCreacion',
                    '$usuario',
                    '',
                    '$fechaCreacion',
                    '$numeroExpediente',
                    '$ultimoid',
                    '1')";

           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Guardado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }else{
            $fechaCreacion = new \DateTime("now");
            $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
            $usuarioModificacion = self::usuariomodifico;
            $sql  = "UPDATE Contactoemergencia
                    SET
                    ContactoEmergenciaNombComp = '$nombrecompleto',
                    ContactoEmergenciaTelefono = '$telefonocontacto',
                    ContactoEmergenciaTelefonoMovil = '$movilcontacto',
                    ContactoEmergenciaRelacion = '$parentesco',
                    ContactoEmergenciaUsrMod = '$usuarioModificacion',
                    ContactoEmergenciaFecMod = '$fechaCreacion'
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND ContactoEmergenciaID = '$contactoemergenciaid'
                    ";

           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Actualizado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/AddCentrosEducativos", name="expediente_add_centros_educativos_json", methods={"POST"})
     */
    public function expediente_add_centros_educativos_json(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $ids = json_decode($request->get('ids'));
        $em = $this->getDoctrine()->getManager();
        $session = $request->getSession();
        $usuario = $session->get('username');

           $query = $em->createQuery(
            'SELECT
                exe.expeducacionid
             FROM App\Entity\Expeducacion exe
             WHERE exe.expedientenumero = :numeroExpediente
             ORDER BY exe.expeducacionid DESC
             '
            );
        $limit = 1;
        $query->setMaxResults( $limit );
        $query->setParameter('numeroExpediente', $numeroExpediente);
        $centro_educativosi = $query->getOneOrNullResult();
        try {
            $ultimoid = $centro_educativosi["expeducacionid"];
        } catch (Exception $e) {
            $ultimoid = 0;
        }



        $ultimoid = ($ultimoid == null || $ultimoid == 0) ? 1: $ultimoid + 1;

        $fechaCreacion = new \DateTime("now");
        $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
        $usuarioCreacion = self::usuariocreo;

        foreach ($ids as $id => $value) {
            $sql  = "INSERT INTO Expeducacion(
                        ExpEducacionID,
                        ExpedienteNumero,
                        ExpEducacionNivelEduc,
                        ExpEducacionOtroNivel,
                        ExpEducacionActual,
                        ExpEducacionEstudio,
                        CentroEducId,
                        ExpEducacionLugarEst,
                        ExpEducacionProbEst,
                        ExpEducacionMotivo,
                        ExpEducacionVolverEst,
                        ExpEducacionVolverEstObs,
                        ExpEducacionNecesidad,
                        ExpEducacionConcluirEst,
                        ExpEducacionUltAnno,
                        ExpEducacionFecCrea,
                        ExpEducacionUsrCrea
                     )VALUES(
                     '$ultimoid',
                     '$numeroExpediente',
                     '',
                     '',
                     '',
                     '',
                     $value->id,
                     '',
                     '',
                     '',
                     '',
                     '',
                     '',
                     '',
                     '',
                     '$fechaCreacion',
                     '$usuario')";

            $statement = $em->getConnection()->prepare($sql);
            $statement->execute();
            $ultimoid++;
        }
           $message =  "Registros Guardados Exitosamente";
        return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/DeleteCentroEducativo", name="delete_centro_educativo", methods={"POST"})
     */
    public function delete_centro_educativo(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $centroeducid = $request->get('id');
        $em = $this->getDoctrine()->getManager();
           $sql  = "DELETE FROM Expeducacion
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND ExpEducacionID = '$centroeducid'";
           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Eliminado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/DeleteContactoEmergencia", name="delete_contacto_emergencia", methods={"POST"})
     */
    public function delete_contacto_emergencia(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $contactoemergenciaid = $request->get('id');
        $em = $this->getDoctrine()->getManager();
           $sql  = "DELETE FROM Contactoemergencia
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND ContactoEmergenciaID = '$contactoemergenciaid'";
           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Eliminado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerEmpleos", name="get_empleos_json", methods={"GET"})
     */
    public function get_empleos_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
                et.exptrabajoid,
                at.areatrabajoid,
                at.areatrabajodescripcion,
                jt.jornadatrabajoid,
                jt.jornadatrabajodescripcion,
                et.exptrabajoareatrabotro
             FROM App\Entity\Exptrabajo et
             JOIN App\Entity\Areatrabajo at WITH et.areatrabajoid = at.areatrabajoid
             JOIN App\Entity\Jornadatrabajo jt WITH et.jornadatrabajoid = jt.jornadatrabajoid
             WHERE et.expedientenumero = :numeroExpediente
             '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $empleos = $query->getArrayResult();
    return new JsonResponse([ 'data' => $empleos ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/AddEmpleos", name="expediente_add_empleos", methods={"POST"})
     */
    public function expediente_add_empleos(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $areatrabajoparticipante = $request->get('area-trabajo-participante');
        $jornadatrabajoparticipante = $request->get('jornada-trabajo-participante');
        $puestotrabajoparticipante = $request->get('puesto-trabajo-participante');
        $session = $request->getSession();
        $usuario = $session->get('username');
        $em = $this->getDoctrine()->getManager();

           $query = $em->createQuery(
            'SELECT
                exe.exptrabajoid
             FROM App\Entity\Exptrabajo exe
             WHERE exe.expedientenumero = :numeroExpediente
             ORDER BY exe.exptrabajoid DESC
             '
            );
        $limit = 1;
        $query->setMaxResults( $limit );
        $query->setParameter('numeroExpediente', $numeroExpediente);

        $expediente_empleo = $query->getOneOrNullResult();
        try {
            $ultimoid = $expediente_empleo["exptrabajoid"];
        } catch (Exception $e) {
            $ultimoid = 0;
        }

        $ultimoid = ($ultimoid == null || $ultimoid == 0) ? 1: $ultimoid + 1;

        $fechaCreacion = new \DateTime("now");
        $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");

            $sql  = "INSERT INTO Exptrabajo(
                        ExpTrabajoID,
                        ExpedienteNumero,
                        ExpTrabajoSiNo,
                        AreaTrabajoID,
                        ExpTrabajoAreaTrabOtro,
                        JornadaTrabajoID,
                        ExpTrabajoDiurno,
                        ExpTrabajoLugar,
                        ExpTrabajoFecCrea,
                        ExpTrabajoUsrCrea
                     )VALUES(
                     '$ultimoid',
                     '$numeroExpediente',
                     '',
                     '$areatrabajoparticipante',
                     '$puestotrabajoparticipante',
                     '$jornadatrabajoparticipante',
                     '',
                     '',
                     '$fechaCreacion',
                     '$usuario')";

            $statement = $em->getConnection()->prepare($sql);
            $statement->execute();
           $message =  "Registros Guardados Exitosamente";
        return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/DeleteExpedienteEmpleo", name="delete_expediente_empleo", methods={"POST"})
     */
    public function delete_expediente_empleo(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $exptrabajoid = $request->get('id');
        $em = $this->getDoctrine()->getManager();
           $sql  = "DELETE FROM Exptrabajo
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND ExpTrabajoID = '$exptrabajoid'";
           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Eliminado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

     /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerIntereses", name="get_intereses_json", methods={"GET"})
     */
    public function get_intereses_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
                i.interesid,
                i.interestema as tema,
                i.interesprioridad,
                ai.areainteresid as areaid,
                ai.areainteresdescripcion ,
                ti.tipointeresid tipoid,
                ti.tipointeresdescripcion
              FROM App\Entity\Interes AS i
              INNER JOIN App\Entity\Areainteres AS ai WITH i.areainteresid = ai.areainteresid
              INNER JOIN App\Entity\Tipointeres AS ti WITH ai.tipointeresid = ti.tipointeresid
             WHERE i.expedientenumero = :numeroExpediente
             '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $intereses = $query->getArrayResult();
    return new JsonResponse([ 'data' => $intereses ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/DeleteExpedienteInteres", name="delete_expediente_interes", methods={"POST"})
     */
    public function delete_expediente_interes(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $interesid = $request->get('id');
        $em = $this->getDoctrine()->getManager();
           $sql  = "DELETE FROM Interes
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND InteresID = '$interesid'";
           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Eliminado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }


    /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerCentrosEducativos", name="get_centros_educativos_json", methods={"GET"})
     */
    public function get_centros_educativos_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
        $query = $em->createQuery(
            'SELECT
                exe.expeducacionid,
                c.centroeducid,
                c.centroeducnombre,
                r.direccionregionalnombre,
                c.centroeduccircuito,
                d.distritodescripcion,
                p.pobladonombre,
                s.sectormepdescripcion,
                n.nivelmepdescripcion,
                r.direccionregionalid,
                p.pobladoid,
                pr.provinciaid,
                ca.cantonid,
                d.distritoid,
                s.sectormepid,
                n.nivelmepid

             FROM App\Entity\Expeducacion exe
             JOIN App\Entity\Centroeduc c WITH exe.centroeducid = c.centroeducid
             JOIN App\Entity\Distrito d WITH c.distritoid = d.distritoid
             JOIN App\ENTITY\Sectormep s WITH c.sectormepid = s.sectormepid
             JOIN App\Entity\Nivelmep n WITH c.nivelmepid = n.nivelmepid
             JOIN App\Entity\DireccionRegional r WITH c.direccionregionalid = r.direccionregionalid
             JOIN App\Entity\Poblado p WITH c.pobladoid = p.pobladoid
             JOIN App\Entity\Canton ca WITH d.cantonid = ca.cantonid
             JOIN App\Entity\Provincia pr WITH ca.provinciaid = pr.provinciaid
             WHERE exe.expedientenumero = :numeroExpediente
             '
        );
        $query->setParameter('numeroExpediente', $numeroExpediente);
    $centros_educativos = $query->getArrayResult();
    return new JsonResponse([ 'data' => $centros_educativos ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/ObtenerExpedienteDiscapacidades", name="get_expedientes_discapacidades_json", methods={"GET"})
     */
    public function get_expedientes_discapacidades_json(Request $request)
    {
       $em = $this->getDoctrine()->getManager();
       $numeroExpediente = $request->get('numero-expediente');
       $sql  = "SELECT
        exed.DiscapacidadID as discapacidadid,
        d.DiscapacidadID,
        d.Discapacidad_ID,
        d.DiscapacidadDescripcion as categoria,
        d2.DiscapacidadDescripcion as discapacidad
        FROM ExpDiscapacidad as exed
        JOIN Discapacidad as d ON exed.DiscapacidadID = d.discapacidadid
        JOIN Discapacidad as d2 ON d.Discapacidad_ID = d2.DiscapacidadID
        WHERE ExpedienteNumero = '$numeroExpediente'";
        $statement = $em->getConnection()->prepare($sql);
        $statement->execute();
        $result = $statement->fetchAll();
    return new JsonResponse([ 'data' => $result ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/DeleteExpedienteDiscapacidad", name="delete_expediente_discapacidad", methods={"POST"})
     */
    public function delete_expediente_discapacidad(Request $request)
    {
        $numeroExpediente = $request->get('expediente');
        $discapacidadid = $request->get('id');
        $em = $this->getDoctrine()->getManager();
           $sql  = "DELETE FROM ExpDiscapacidad
                    WHERE
                    ExpedienteNumero = '$numeroExpediente' AND DiscapacidadID = '$discapacidadid'";
           $statement = $em->getConnection()->prepare($sql);
           $statement->execute();
           $message =  "Registro Eliminado Exitosamente";
           return new JsonResponse([ 'message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/Expedientes/AddDiscapacidad", name="expediente_add_discapacidad", methods={"POST"})
     */
    public function expediente_add_discapacidad(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $numeroExpediente = $request->get('expediente');
        $discapacidadesparticipante  = $request->get('discapacidades-participante');
        $subcategoriadiscapacidadparticipante = $request->get('subcategoria-discapacidad-participante');
        $session = $request->getSession();
        $usuario = $session->get('username');
        $fechaCreacion = new \DateTime("now");
        $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
        $sql  = "INSERT INTO ExpDiscapacidad(
                       ExpDiscapacidadFecCrea,
                       ExpDiscapacidadUsrCrea,
                       ExpDiscapacidadFecMod,
                       ExpDiscapacidadUsrMod,
                       ExpedienteNumero,
                       DiscapacidadID
                     )VALUES(
                     '$fechaCreacion',
                     '$usuario',
                     '$fechaCreacion',
                     '$usuario',
                     '$numeroExpediente',
                     '$subcategoriadiscapacidadparticipante'
                     )
                ";
            $statement = $em->getConnection()->prepare($sql);
            $statement->execute();
            $message =  "Registro Guardados Exitosamente";
            return new JsonResponse(['message' => $message, 'type' => "success" ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

    /**
     * @Route("/RegistroParticipante/AddDatosParticipante/json", name="add_datos_participante", methods={"POST"})
     */
    public function add_datos_participante(Request $request)
    {
        try {
            $idparticipante = $request->get('id-participante');
            $primernombreparticipante = $request->get('primer-nombre-participante');
            $primerapellidoparticipante = $request->get('primer-apellido-participante');
            $segundonombreparticipante = $request->get('segundo-nombre-participante');
            $segundoapellidoparticipante = $request->get('segundo-apellido-participante');
            $barrioparticipante = $request->get('barrio-participante');
            $telefonoparticipante = $request->get('telefono-participante');
            $celularparticipante = $request->get('celular-participante');
            $correoelectronicoparticipante = $request->get('correo-electronico-participante');
            $otrotelefonoparticipante = $request->get('otro-telefono-participante');
            $generoparticipante = $request->get('genero-participante');
            $nacionalidadparticipante = $request->get('nacionalidad-participante');
            $provinciaparticipante = $request->get('provincia-participante');
            $cantonparticipante = $request->get('canton-participante');
            $distritoparticipante = $request->get('distrito-participante');
            $metodocontactoparticipante = $request->get('metodo-contacto-participante');
            $redsocialparticipante = $request->get('redes-sociales-participante');
            $direccionparticipante = $request->get('direccion-participante');
            $numeroexpediente =  $request->get('numero-expediente');
            $fechanacimientoparticipante = $request->get('fecha-nacimiento-participante');
            $fechanacimientoparticipante = new \DateTime($fechanacimientoparticipante);
            $imageProfile = $request->get('picString');
            $fechaCreacion = new \DateTime("now");
            $session = $request->getSession();
            $usuario = $session->get('username');

            $em = $this->getDoctrine()->getManager();

            if($numeroexpediente===""){
                $expediente = new Expediente();
                $expediente->setExpedienteindentif($idparticipante);
                $centrocivicoid = $session->get('useridccp');
                $centrocivico = $em->getRepository(Centrocivico::class)->findOneBy(array("centrocivicoid"=>$centrocivicoid));
                $siglas = $centrocivico->getCentrocivicosiglas();
                $sigconsecutivo = $centrocivico->getCentrocivicoconsec()+1;
                $nuevoexpediente =$siglas.'-'.$sigconsecutivo;
                $centrocivico->setCentrocivicoconsec($sigconsecutivo);
                $expediente->setExpedientedependiente(-1);
                $expediente->setExpedientemadrevive(-1);
                $expediente->setExpedientemadrevive1(-1);
                $expediente->setExpedientepadrevive(-1);
                $expediente->setExpedienteenfercronica(-1);
                $expediente->setExpedientetiposangre(-1);
                $expediente->setExpedienteadecuacion(-1);
                $expediente->setExpedienteeducactual(-1);
                $expediente->setExpedienteeducvolverest(-1);
                $expediente->setExpedienteeducconcluirest(-1);
                $expediente->setExpedienteniveleducativo(-1);
                $expediente->setExpedientehijos(-1);
                $expediente->setExpedientehijostener(-1);
                $expediente->setExpedientenombre1($primernombreparticipante);
                $expediente->setExpedientenombre2($segundonombreparticipante);
                $expediente->setExpedienteapellido1($primerapellidoparticipante);
                $expediente->setExpedienteapellido2($segundoapellidoparticipante);
                $expediente->setExpedienteimageprofile($imageProfile);
                $expediente->setSexoid($em->getReference('App\Entity\Sexo', $generoparticipante));
                $expediente->setNacionalidadid($em->getReference('App\Entity\Nacionalidad', $nacionalidadparticipante));
                $expediente->setExpedientebarrio($barrioparticipante);
                $expediente->setExpedientetelefono($telefonoparticipante);
                $expediente->setExpedientetelefonocelular($celularparticipante);
                $expediente->setExpedientecorreoelectronico($correoelectronicoparticipante);
                $expediente->setExpedienteotrotelefono($otrotelefonoparticipante);
                $expediente->setDistritoid($em->getReference('App\Entity\Distrito', $distritoparticipante));
                $expediente->setExpedientemediocontacto($metodocontactoparticipante);
                $expediente->setExpedienteredessociales($redsocialparticipante);
                $expediente->setExpedientedireccion($direccionparticipante);
                $expediente->setExpedientefecnac($fechanacimientoparticipante);
                $expediente->setExpedientefeccrea($fechaCreacion);
                $expediente->setExpedientenumero($nuevoexpediente);
                $expediente->setExpedienteusrcrea($usuario);
                $em->persist($expediente);
                $em->persist($centrocivico);
                $em->flush();
                $message = "Expediente ".$expediente->getExpedientenumero()." Creado exitosamente";

            }else{
                $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$numeroexpediente));
                $expediente->setExpedientenombre1($primernombreparticipante);
                $expediente->setExpedientenombre2($segundonombreparticipante);
                $expediente->setExpedienteapellido1($primerapellidoparticipante);
                $expediente->setExpedienteapellido2($segundoapellidoparticipante);
                $expediente->setSexoid($em->getReference('App\Entity\Sexo', $generoparticipante));
                $expediente->setNacionalidadid($em->getReference('App\Entity\Nacionalidad', $nacionalidadparticipante));
                $expediente->setExpedientebarrio($barrioparticipante);
                $expediente->setExpedientetelefono($telefonoparticipante);
                $expediente->setExpedientetelefonocelular($celularparticipante);
                $expediente->setExpedientecorreoelectronico($correoelectronicoparticipante);
                $expediente->setExpedienteotrotelefono($otrotelefonoparticipante);
                $expediente->setDistritoid($em->getReference('App\Entity\Distrito', $distritoparticipante));
                $expediente->setExpedientemediocontacto($metodocontactoparticipante);
                $expediente->setExpedienteredessociales($redsocialparticipante);
                $expediente->setExpedientedireccion($direccionparticipante);
                $expediente->setExpedientefecnac($fechanacimientoparticipante);
                $expediente->setExpedienteimageprofile($imageProfile);
                $expediente->setExpedientefecmod($fechaCreacion);
                $expediente->setExpedienteusrmod($usuario);
                $em->persist($expediente);
                $em->flush();
                $message = "Expediente ".$expediente->getExpedientenumero()." Guardado exitosamente";
            }
            return new JsonResponse([
                'message' => $message,
                'numeroExpediente' => $expediente->getExpedientenumero()
            ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosResponsable/json", name="add_datos_responsable", methods={"POST"})
     */
    public function add_datos_responsable(Request $request)
    {
        try {
            $em = $this->getDoctrine()->getManager();
            $idparticipante = $request->get('numero-expediente');
            $nombresmadreparticipante  = $request->get('nombres-madre-participante');
            $ocupacionmadreparticipante  = $request->get('ocupacion-madre-participante');
            $primerapellidomadreparticipante = $request->get('primer-apellido-madre-participante');
            $telefonomadreparticipante  = $request->get('telefono-madre-participante');
            $segundoapellidomadreparticipante = $request->get('segundo-apellido-madre-participante');
            $escontactoemergenciamadreparticipante = $request->get('es-contacto-emergencia-madre-participante');
            $nombrespadreparticipante  = $request->get('nombres-padre-participante');
            $ocupacionpadreparticipante  = $request->get('ocupacion-padre-participante');
            $primerapellidopadreparticipante = $request->get('primer-apellido-padre-participante');
            $telefonopadreparticipante  = $request->get('telefono-padre-participante');
            $segundoapellidopadreparticipante = $request->get('segundo-apellido-padre-participante');
            $escontactoemergenciapadreparticipante = $request->get('es-contacto-emergencia-padre-participante');
            $numeropersonasparticipante  = $request->get('numero-personas-participante') === "" ? 0 : $request->get('numero-personas-participante');
            $vivemadreparticipante  = $request->get('vive-madre-participante') === "" ? -1 : $request->get('vive-madre-participante');
            $responsablemadreparticipante  = $request->get('responsable-madre-participante') === "" ? -1 : $request->get('responsable-madre-participante');
            $vivepadreparticipante  = $request->get('vive-padre-participante') === "" ? -1 : $request->get('vive-padre-participante');
            $responsablepadreparticipante = $request->get('responsable-padre-participante') === "" ? -1 : $request->get('responsable-padre-participante');
            $parentescos = $request->get('parentescos-participante');
            $expedientenumero = $request->get('numero-expediente');

            $fechaCreacion = new \DateTime("now");
            $session = $request->getSession();
            $usuario = $session->get('username');

            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$expedientenumero));
            $expediente->setExpedientemadrenom1($nombresmadreparticipante);
            $expediente->setExpedientemadreapel1($primerapellidomadreparticipante);
            $expediente->setExpedientemadreapel2($segundoapellidomadreparticipante);
            $expediente->setExpedientemadreocupacion($ocupacionmadreparticipante);
            $expediente->setExpedientepadrenom1($nombrespadreparticipante);
            $expediente->setExpedientepadreapel1($primerapellidopadreparticipante);
            $expediente->setExpedientepadreapel2($segundoapellidopadreparticipante);
            $expediente->setExpedientepadreocupacion($ocupacionpadreparticipante);
            $expediente->setExpedientemadrevive($vivemadreparticipante);
            $expediente->setExpedientepadrevive($vivepadreparticipante);
            $expediente->setExpedientemadreresponsable($responsablemadreparticipante);
            $expediente->setExpedientepadreresponsable($responsablepadreparticipante);
            $expediente->setExpedientetelefonomadre($telefonomadreparticipante);
            $expediente->setExpedientetelefonopadre($telefonopadreparticipante);
            $expediente->setExpedienteespadrecontactoemergencia($escontactoemergenciapadreparticipante);
            $expediente->setExpedienteesmadrecontactoemergencia($escontactoemergenciamadreparticipante);
            $expediente->setExpedientenumeropersonasvive($numeropersonasparticipante);
            $expediente->setExpedienteparentescos($parentescos);
            $expediente->setExpedientefecmod($fechaCreacion);
            $expediente->setExpedienteusrmod($usuario);

            $em->persist($expediente);
            $em->flush();
            $message = "Expediente ".$expedientenumero." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosActividadEconomica/json", name="add_datos_actividad_economica", methods={"POST"})
     */
    public function add_datos_actividad_economica(Request $request)
    {
        try {
            $em = $this->getDoctrine()->getManager();
            $idparticipante = $request->get('numero-expediente');
            $esparticipantedependiente = $request->get('es-participante-dependiente');
            $profecionoficioparticipante = $request->get('profecion-oficio-participante');
            $participantecontrabajoremunerado = $request->get('participante-con-trabajo-remunerado');
            $fechaCreacion = new \DateTime("now");
            $session = $request->getSession();
            $usuario = $session->get('username');
            if ($profecionoficioparticipante==="") $profecionoficioparticipante = null;
            if ($participantecontrabajoremunerado ==="") $participantecontrabajoremunerado = null;
            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$idparticipante));
            $expediente->setExpedientedependienteeconomico($esparticipantedependiente);
            $expediente->setExpedientetrabajooficio($profecionoficioparticipante);
            $expediente->setExpedientetrabajoremunerado($participantecontrabajoremunerado);
            $expediente->setExpedientefecmod($fechaCreacion);
            $expediente->setExpedienteusrmod($usuario);
            $em->persist($expediente);
            $em->flush();
            $message = "Expediente ".$idparticipante." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosEducacion/json", name="add_datos_educacion", methods={"POST"})
     */
    public function add_datos_educacion(Request $request)
    {
        try {
            $em = $this->getDoctrine()->getManager();
            $session = $request->getSession();
            $usuario = $session->get('username');
            $fechaCreacion = new \DateTime("now");
            $idparticipante = $request->get('numero-expediente');
            $estudiosniveleducativoparticipante = $request->get('estudios-nivel-educativo-participante');
            $otroniveleducativoparticipante = $request->get('otro-nivel-educativo-participante');
            $esparticipanteestudiante = $request->get('es-participante-estudiante');
            $participantedeseavolverestudiar = $request->get('participante-desea-volver-estudiar');
            $motivoporquenoestudiaparticipante = $request->get('motivo-porque-no-estudia-participante');
            $razonesporquenoestudiaparticipante = $request->get('razones-porque-no-estudia-participante');
            $queestudiaparticipante = $request->get('que-estudia-participante');
            $quenecesitaparaestudiarparticipante =  $request->get('que-necesita-para-estudiar-participante');
            $modalidadparaestudiarparticipante   =  $request->get('modalidad-para-estudiar-participante');
            $niveleducativoparticipante   =  $request->get('nivel-educativo-participante');
            if($participantedeseavolverestudiar === "") $participantedeseavolverestudiar = -1;
            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$idparticipante));
            $expediente->setExpedienteniveleducativo($estudiosniveleducativoparticipante);
            $expediente->setExpedienteeducotronivel($otroniveleducativoparticipante);
            $expediente->setExpedienteeducactual($esparticipanteestudiante);
            $expediente->setExpedienteeducvolverest($participantedeseavolverestudiar);
            $expediente->setExpedienteeducmotivo($motivoporquenoestudiaparticipante);
            $expediente->setRazonnoestudiaid($em->getReference('App\Entity\Razonnoestudia', $razonesporquenoestudiaparticipante));
            $expediente->setExpedienteeducestudio($queestudiaparticipante);
            $expediente->setNecesitavolveraestudiarid($em->getReference('App\Entity\Necesitavolveraestudiar',$quenecesitaparaestudiarparticipante));
            $expediente->setInteresmodalidadeducativaid($em->getReference('App\Entity\Interesmodalidadeducativa',$modalidadparaestudiarparticipante));
            $expediente->setNivelestudiorel($niveleducativoparticipante);
            $expediente->setExpedientefecmod($fechaCreacion);
            $expediente->setExpedienteusrmod($usuario);


            $em->persist($expediente);
            $em->flush();
            $message = "Expediente ".$idparticipante." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosIntereses/json", name="add_datos_intereses", methods={"POST"})
     */
    public function add_datos_intereses(Request $request)
    {
        try {
            $idparticipante = $request->get('numero-expediente');
           /* $em = $this->getDoctrine()->getManager();
            $idparticipante = $request->get('numero-expediente');
            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedienteindentif'=>$idparticipante));
            $numeroExpediente = $expediente->getExpedientenumero();

            $interesesparticipante = json_decode($request->get('intereses-participante'));
            foreach ($interesesparticipante as $interes => $value) {
                $fechaCreacion = new \DateTime("now");
                $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s");
                $usuarioCreacion = self::usuariocreo;
                  $sql  = "INSERT INTO interes(InteresTema, InteresPrioridad, InteresActivo, interesusrcrea, interesfeccrea, areainteresid, ExpedienteNumero)
                                        VALUES('$value->tema', '$value->prioridad', 1, '$usuarioCreacion','$fechaCreacion', '$value->areaid','$numeroExpediente')";
                  $em = $this->getDoctrine()->getManager();
                  $statement = $em->getConnection()->prepare($sql);
                  $statement->execute();

            }

            $em->persist($expediente);
            $em->flush();*/
            $message = "Expediente ".$idparticipante." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddInteres/json", name="add_datos_interes", methods={"POST"})
     */
    public function add_datos_interese(Request $request)
    {
        try {
            $em = $this->getDoctrine()->getManager();
            $numeroExpediente = $request->get('expediente');
            $tipointeresparticipante = $request->get('tipo-interes-participante');
            $areainteresparticipante = $request->get('area-interes-participante');
            $temainteresparticipante = $request->get('tema-interes-participante');
            $session = $request->getSession();
            $usuario = $session->get('username');

            $sql =
            "SELECT TOP(1) InteresPrioridad
             FROM [CCP].[dbo].[Interes] WHERE ExpedienteNumero = '$numeroExpediente' ORDER BY InteresPrioridad DESC
            ";
            $statement = $em->getConnection()->prepare($sql);
            $statement->execute();
            try {
                 $expediente_prioridad = $statement->fetchColumn();
                 $prioridad = $expediente_prioridad[0];
            } catch (Exception $e) {
                $prioridad = 0;
            }
            $prioridad = ($prioridad == null || $prioridad == 0) ? 1: $prioridad + 1;

            $fechaCreacion = new \DateTime("now");
            $fechaCreacion = $fechaCreacion->format("Y-m-d H:i:s.u");
            $sql2  = "INSERT INTO interes(
                    InteresTema,
                    InteresPrioridad,
                    InteresActivo,
                    interesusrcrea,
                    interesfeccrea,
                    areainteresid,
                    ExpedienteNumero)
                    VALUES(
                    '$temainteresparticipante',
                    '$prioridad',
                    1,
                    '$usuario',
                    '$fechaCreacion',
                    '$areainteresparticipante',
                    '$numeroExpediente')";
            $em = $this->getDoctrine()->getManager();
            $statement = $em->getConnection()->prepare($sql2);
            $statement->execute();
            $message = "Registro Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosSalud/json", name="add_datos_salud", methods={"POST"})
     */
    public function add_datos_salud(Request $request)
    {
        try {
            $em = $this->getDoctrine()->getManager();
            $session = $request->getSession();
            $usuario = $session->get('username');
            $idparticipante = $request->get('numero-expediente');
            $fechaCreacion = new \DateTime("now");
            $dificultadaprendizajeparticipante = $request->get("dificultad-aprendizaje-participante");
            $discapacidadesparticipante = $request->get("discapacidades-participante");
            $subcategoriadiscapacidadparticipante = $request->get("subcategoria-discapacidad-participante");
            $adecuacionaprendizajeparticipante = $request->get("adecuacion-aprendizaje-participante");
            $restriccionalimentariaparticipante = $request->get("restriccion-alimentaria-participante");
            $requiereadecuacionparticipante = $request->get("requiere-adecuacion-participante");
            if($requiereadecuacionparticipante==="") $requiereadecuacionparticipante = null;

            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$idparticipante));
            $expediente->setExpedienterestriccionalimentaria($restriccionalimentariaparticipante);
            $expediente->setExpedientedificultadaprendizaje($dificultadaprendizajeparticipante);
            $expediente->setExpedienterequiereadecuacion($requiereadecuacionparticipante);
            $expediente->setExpedienteadectipo($adecuacionaprendizajeparticipante);
            $expediente->setExpedientefecmod($fechaCreacion);
            $expediente->setExpedienteusrmod($usuario);

            $em->persist($expediente);
            $em->flush();

            $message = "Expediente ".$idparticipante." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }

    /**
     * @Route("/RegistroParticipante/AddDatosPresenteFuturo/json", name="add_datos_presente_futuro", methods={"POST"})
     */
    public function add_datos_presente_futuro(Request $request)
    {
        try {
            $session = $request->getSession();
            $usuario = $session->get('username');
            $idparticipante = $request->get('numero-expediente');
            $cantidadhijosparticipante  = $request->get('cantidad-hijos-participante');
            $fechaCreacion = new \DateTime("now");
            if ($cantidadhijosparticipante == "") {
                $cantidadhijosparticipante = 0;
            }
            $principaleshabilidadesparticipante = $request->get('principales-habilidades-participante');
            $destrezaenhabilidadparticipante = $request->get('destreza-en-habilidad-participante');
            $principalespreocupacionesparticipante = $request->get('principales-preocupaciones-participante');
            $deseosanioproximoparticipante = $request->get('deseos-anio-proximo-participante');
            $deseoscincoproximosaniosparticipante = $request->get('deseos-cinco-proximos-anios-participante');
            $em = $this->getDoctrine()->getManager();
            $expediente = $em->getRepository(Expediente::class)->findOneBy(array('expedientenumero'=>$idparticipante));
            /*Expedientehijos guarda si tiene hijos y hijosCant la cantidad */
            $hijos = ( $cantidadhijosparticipante > 0 ) ? 2 : 3 ;
            $expediente->setExpedientehijos( $hijos );
            $expediente->setExpedientehijoscant($cantidadhijosparticipante);
            $expediente->setExpedientehabilidades($principaleshabilidadesparticipante);
            $expediente->setExpedientedestrezas($destrezaenhabilidadparticipante);
            $expediente->setExpedientepreocupaciones($principalespreocupacionesparticipante);
            $expediente->setExpedientegusthacer1($deseosanioproximoparticipante);
            $expediente->setExpedientegusthacer5($deseoscincoproximosaniosparticipante);
            $expediente->setExpedientefecmod($fechaCreacion);
            $expediente->setExpedienteusrmod($usuario);


            $em->persist($expediente);
            $em->flush();
            $message = "Expediente ".$idparticipante." Guardado exitosamente";
            return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        }
    }
    private function access(){
     $session = new Session();
     if ( $session->get('useridrol') >= $this->rolAccess )
       return TRUE;
     else
       return FALSE;
    }
}
