<?php

namespace App\Controller\Roles;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Doctrine\ORM\Query;
use App\Entity\Catrol;
use App\Entity\Rol;
use Symfony\Component\HttpFoundation\Session\Session;

class CatalogoRolesController extends AbstractController
{
  private $rolAccess = 50;
    /**
     * @Route("Admin/Roles", name="admin_roles")
     */
    public function centro_educativo(){
     if ( $this->access() )
       return $this->render('ccp/roles/roles.html.twig');
     else
       return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
    }

    /**
     * @Route("Admin/getAllRoles/json", name="get_all_roles_json")
     */
    public function get_all_roles_json(Request $request)
    {
      if($request->isXmlHttpRequest() AND  $this->access() ) {
        $em = $this->getDoctrine()->getManager();
        $statement = $em->getConnection()->prepare( "SELECT c.CatRolID, c.CatRolDescripcion FROM Catrol c" );
        $statement->execute();
        $roles = $statement->fetchAll();
        return new JsonResponse([ 'data' => $roles ], Response::HTTP_OK, ['content-type'=>'application/json']);
      } else {
        return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
      }
    }

     /**
     * @Route("Admin/RolAdd", name="admin_rol_add", methods={"POST"})
     */
      public function admin_rol_add(Request $request)
    {
      if($request->isXmlHttpRequest() AND  $this->access() ) {
        try {
        $nombre = $request->get('nombre');
        $xid = $request->get('xid');
        $em = $this->getDoctrine()->getManager();
        if($xid == ""){
            $rol = new Catrol();
        }else{
            $rol = $em->getRepository(Catrol::class)->find($xid);
        }
        $rol->setCatroldescripcion($nombre);
        $em->persist($rol);
        $em->flush();
        $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
        return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
        	$message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
        }
      } else {
        return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
      }
    }

     /**
     * @Route("Admin/RolDelete", name="admin_rol_delete", methods={"POST"})
     */
      public function admin_delete_rol(Request $request)
    {
      if($request->isXmlHttpRequest() AND  $this->access() ) {
        try {
        $ids = $request->get('ids');
        $em = $this->getDoctrine()->getManager();
        foreach ($ids as $id) {
            $rol = $this->getDoctrine()->getRepository(Catrol::class)->find($id['id']);
            $em->remove($rol);
            $em->flush();
        }
        $message = "Registros eliminados exitosamente";
        return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error" + $e;
            return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
        }
      } else {
        return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
      }
    }

    private function access(){
     $session = new Session();
     if ( $session->get('useridrol') >= $this->rolAccess )
       return TRUE;
     else
       return FALSE;
    }
}
