<?php

namespace App\Controller\Roles;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Doctrine\ORM\Query;
use App\Entity\Catrol;
use App\Entity\Rol;
use App\Entity\Centrocivico;
use App\Entity\Usuario;
use Symfony\Component\HttpFoundation\Session\Session;

class CatalogoUsuariosController extends AbstractController
{
  private $rolAccess = 50;
    /**
     * @Route("Admin/Usuarios", name="admin_usuarios")
     */
    public function admin_usuarios(){
     if ( $this->access() ){
       $select['roles']    =   $this->getDoctrine()->getRepository(Catrol::class)->findAll();
       $select['centros'] =   $this->getDoctrine()->getRepository(Centrocivico::class)->findAll();
       return $this->render('ccp/roles/usuarios.html.twig', array( 'select' => $select ) );
     }
     else
       return $this->redirectToRoute('ccp_app_index', ['e'   => ""] );
    }

 /**
   * @Route("Admin/getAllUsers/json", name="get_all_Users_json")
   */
 public function get_all_Users_json(Request $request) {
  if($request->isXmlHttpRequest() AND  $this->access() ) {
 	  $em  = $this->getDoctrine()->getManager();
    $sql = "SELECT u.UsuarioID, UsuarioLogin, UsuarioNombre, CASE WHEN UsuarioActivo = 1 THEN 'Activo' ELSE 'No activo' END estado, cc.CentroCivicoDescripcion, cc.CentroCivicoID, u.UsuarioActivo, r.RolID AS RolID, r.RolDescripcion FROM Usuario u INNER JOIN CentroCivico cc ON cc.CentroCivicoID = u.CentroCivicoID INNER JOIN Rol r ON r.UsuarioID = u.UsuarioID";
    $stm = $em->getConnection()->prepare( $sql );
    $stm->execute();
    return new JsonResponse([ 'data' => $stm->fetchAll() ], Response::HTTP_OK, ['content-type'=>'application/json']);
  } else {
    return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
  }
 }

 /**
 * @Route("Admin/UserAdd", name="admin_usuarios_add", methods={"POST"})
 */
  public function admin_usuarios_add(Request $request) {
   if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
     return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
   try {
     $nombre = $request->get('nombre');
     $login = $request->get('login');
     $clave = $request->get('clave');
     $ccp = $request->get('ccp');
     $rol = $request->get('rol');
     $estado = $request->get('estado');
     $xid = $request->get('xid');
     $em = $this->getDoctrine()->getManager();
     if($xid == ""){
        $var = new Usuario();
     }else{
        $var = $em->getRepository(Usuario::class)->find($xid);
     }
     $var->setUsuarionombre($nombre);
     $var->setUsuariologin($login);
     if ( strlen($clave) > 2 ) {
       $clave = '0x'.md5($clave);
       $var->setUsuariopass($clave);
     }
     $var->setUsuarioactivo($estado);
     $var->setCentrocivicoid($em->getReference('App\Entity\Centrocivico', $ccp));
     $em->persist($var);
     $em->flush();
     if($xid == ""){
        $usr = $em->getRepository(Usuario::class)->findOneBy(['usuariologin' => $login]);
        $var = new Rol();
        $var->setRolcatrolid($rol);
        $var->setRoldescripcion( $em->getRepository(Catrol::class)->find( $rol )->getCatroldescripcion() );
        $var->setUsuarioid( $em->getReference('App\Entity\Usuario',  $usr->getUsuarioid() ) );
        $em->persist($var);
        $em->flush();
     }else{
        $var = $em->getRepository(Rol::class)->findOneBy(['usuarioid' => $em->getReference('App\Entity\Usuario',  $xid )]);
        $var->setRolcatrolid($rol);
        $var->setRoldescripcion( $em->getRepository(Catrol::class)->find( $rol )->getCatroldescripcion() );
        $em->persist($var);
        $em->flush();
     }
     $message = ($xid === null) ? "Registro Guardado Exitosamente" : "Registro Actualizado Exitosamente";
     return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
   } catch (Exception $e) {
   	 $message = "Ha ocurrido un error";
     return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
   }
 }

     /**
     * @Route("Admin/UserDelete", name="admin_usuarios_delete", methods={"POST"})
     */
      public function admin_usuarios_delete(Request $request){
       if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
         return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
       }
        try {
        $ids = $request->get('ids');
        $em = $this->getDoctrine()->getManager();
        foreach ($ids as $id) {
            $rol = $this->getDoctrine()->getRepository(Usuario::class)->find($id['id']);
            $em->remove($rol);
            $em->flush();
        }
        $message = "Registros eliminados exitosamente";
        return new JsonResponse([ 'message' => $message ], Response::HTTP_OK, ['content-type'=>'application/json']);
        } catch (Exception $e) {
            $message = "Ha ocurrido un error";
            return new JsonResponse([ 'data' => $message ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
        }
    }

    private function access(){
     $session = new Session();
     if ( $session->get('useridrol') >= $this->rolAccess )
       return TRUE;
     else
       return FALSE;
    }
}
