<?php

namespace App\Controller\Sessions;

use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Doctrine\ORM\Query;
use App\Entity\Catrol;
use App\Entity\Usuario;
use Symfony\Component\HttpFoundation\Session\Attribute\AttributeBag;
use Symfony\Component\HttpFoundation\Session\Session;
use Symfony\Component\HttpFoundation\Session\Storage\NativeSessionStorage;


class SessionsController extends AbstractController{
 /**
  * @Route("login", name="login")
  */
 public function login(Request $request){
  $msg = '';
  $session = new Session();
  if ( $session->get('userid') > 0 ) {
    return $this->redirectToRoute('ccp_app_index');
  } elseif ( strlen($request->get('clave')) > 0 && strlen($request->get('login')) > 0 ){
    $em = $this->getDoctrine()->getManager();
    $user = htmlspecialchars($request->get('login'));
    $clave = $request->get('clave');
    $sql = "SELECT u.UsuarioID, UsuarioLogin, UsuarioNombre, CASE WHEN UsuarioActivo = 1 THEN 'Activo' ELSE 'No activo' END estado, cc.CentroCivicoDescripcion, cc.CentroCivicoID, u.UsuarioActivo, (SELECT cr.CatRolNivel FROM CatRol cr WHERE CatRolID = r.RolCatRolID)  AS RolID, r.RolDescripcion FROM Usuario u INNER JOIN CentroCivico cc ON cc.CentroCivicoID = u.CentroCivicoID INNER JOIN Rol r ON r.UsuarioID = u.UsuarioID WHERE u.UsuarioLogin = '$user' AND u.Usuariopass = sys.fn_sqlvarbasetostr(HASHBYTES('MD5', '$clave' ))  AND u.UsuarioActivo = 1";
    $statement = $em->getConnection()->prepare($sql);
    $statement->execute();
    $result = $statement->fetchAll();
    $msg = 'No existen registos para los datos ingresados';
    $login = FALSE;
    foreach ($result as $row => $d) {
      $session->start();
      $session->set('userid', $d['UsuarioID']);
      $session->set('usernamefull', $d['UsuarioNombre']);
      $session->set('username', $d['UsuarioLogin']);
      $session->set('useridrol', $d['RolID']);
      $session->set('userrol', $d['RolDescripcion']);
      $session->set('useridccp', $d['CentroCivicoID']);
      $session->set('userccp', $d['CentroCivicoDescripcion']);
      return $this->redirectToRoute('ccp_app_index');
    }
  } else {
    $msg = "";
  }
  return $this->render('layout/login.html.twig', array( 'msg'   => $msg ));
 }
 /**
  * @Route("salir", name="logout")
  */
 public function salir(Request $request){
  $session = new Session();
  if ( $session->get('userid') > 0 ) {
   $ip = $request->getClientIp();
   $session->set('userid', -1);
   $session->set('username', '');
   $session->set('useridrol', -1);
   $session->set('userrol', '');
   $session->set('useridccp', -1);
   $session->set('userccp', '');
   $session->clear();
   return $this->redirectToRoute('ccp_app_index');
  }
  return $this->redirectToRoute('login');
 }
}
