<?php

namespace App\Controller\dashboard;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use App\Entity\Distrito;
use App\Entity\Canton;
use App\Entity\Provincia;
use Symfony\Component\HttpFoundation\Session\Session;


class TableroController extends AbstractController
{
  private $rolAccess = 25;
    /**
     * @Route("/Inicio", name="tablero_index")
     */
    public function home()
    {
        return $this->render('cpp\index.html.twig');
    }
    /**
     * @Route("/Estadisticas", name="tablero_estadisticas")
     */
    public function tablero_estadisticas(Request $request)
    {
     if( !$this->access() ) {
      return $this->redirectToRoute('ccp_app_index');
//      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
     }
      $ccp  = $request->get('ccp');
      $dis  = $request->get('distro');
      $ini  = $request->get('dinit');
      $fin  = $request->get('dend');
      $std  = $request->get('state');
      $form['vccp'] = $ccp;
      $form['vdistro'] = $dis;
      $form['vdinit'] = $ini;
      $form['vdend'] = $fin;
      $form['state'] = $std;

      $em = $this->getDoctrine()->getManager();
      // GENERACION DE FORMULARIOS
      $statement = $em->getConnection()->prepare( " SELECT c.CentroCivicoDescripcion, c.CentroCivicoID FROM CentroCivico c WHERE c.CentroCivicoID < 8 " );
      $statement->execute();
      $form['ccp'] = $statement->fetchAll();
      $statement = $em->getConnection()->prepare( "SELECT p.ProvinciaDescripcion, c.CantonDescripcion, d.DistritoID, d.DistritoDescripcion FROM Distrito d JOIN Canton c ON c.CantonID = d.CantonID JOIN Provincia p ON p.ProvinciaID = c.ProvinciaID WHERE d.DistritoID IN ( SELECT dp.DistritoID FROM DistritoPoblacion dp GROUP BY dp.DistritoID ) " );
      $statement->execute();
      $form['distrito'] = $statement->fetchAll();
      // GENERACION DE GRAFICOS
      $vars['permanenciac'] = $this->getSql( 'permanenciac', $ccp, $dis, $ini, $fin, $std);
      $vars['permanencian'] = $this->getSql( 'permanencian', $ccp, $dis, $ini, $fin, $std);
      $vars['permanencia'] = $this->getSql( 'permanencia', $ccp, $dis, $ini, $fin, $std);
      $vars['influencia'] = $this->getSql( 'influencia', $ccp, $dis, $ini, $fin, $std);


      $vars['concluye'] = $this->getSql( 'concluye', $ccp, $dis, $ini, $fin, $std);
      $vars['distro'] = $this->getSql( 'distribucion', $ccp, $dis, $ini, $fin, $std, 1);
      $vars['geojson'] =  $this->getGeoJson( $ccp, $dis, $ini, $fin, $std );

      setlocale(LC_TIME, "spanish");
      $fecha = date("Y-m-d");
      $fecha = str_replace("/", "-", $fecha);
      $newDate = date("d-m-Y", strtotime($fecha));
      $fecha =  strftime("%d de %B de %Y", strtotime($newDate));

      return $this->render('ccp\board\index.html.twig', array( 'form'=> $form, 'vars'=> $vars, 'fecha'=> $fecha ));
    }

    /**
    * @Route("/Estadisticas/tabla/json", name="tablero_estadisticas_tabla_json", methods={"GET","POST"})
    */
    public function json_params(Request $request){
     if(!$request->isXmlHttpRequest() AND  !$this->access() ) {
      return new JsonResponse([ 'data' => array('' => '' ) ], Response::HTTP_NOT_FOUND, ['content-type'=>'application/json']);
     }
      $ccp  = ( $request->get('ccp')) ? $request->get('ccp') : -1 ;
      $dis  = ( $request->get('distro')) ? $request->get('distro') : -1 ;
      $ini  = $request->get('dinit');
      $fin  = $request->get('dend');
      $std  = $request->get('state');

      if ( strlen( $ini ) < 5 ) {
        $ini = "2016-01-01";
      }
      if ( strlen( $fin ) < 5 ) {
        $fin = date("Y-m-d");
      }
      $whr  = '';
      $whr .= ( $ccp > -1 ) ? " AND cc.CentroCivicoID = $ccp " : '' ;
      $whr .= ( $dis > -1 ) ? "  AND ex.ExpedienteDistritoId = $dis " : '' ;
      $whr .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
      $whr .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
      $sql  = " SELECT ccp, cur, Total,
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 1, 1 ) 'EP11',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 1, 1 ) 'C11',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 1, 1 ) 'NC11',
                  0 'PI11',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 1, 2 ) 'EP12',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 1, 2 ) 'C12',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 1, 2 ) 'NC12',
                  0 'PI12',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 2, 1 ) 'EP21',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 2, 1 ) 'C21',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 2, 1 ) 'NC21',
                  0 'PI21',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 2, 2 ) 'EP22',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 2, 2 ) 'C22',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 2, 2 ) 'NC22',
                  0 'PI22',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 3, 1 ) 'EP31',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 3, 1 ) 'C31',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 3, 1 ) 'NC31',
                  0 'PI31',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 3, 2 ) 'EP32',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 3, 2 ) 'C32',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 3, 2 ) 'NC32',
                  0 'PI32',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 4, 1 ) 'EP41',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 4, 1 ) 'C41',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 4, 1 ) 'NC41',
                  0 'PI41',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 4, 2 ) 'EP42',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 4, 2 ) 'C42',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 4, 2 ) 'NC42',
                  0 'PI42',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 5, 1 ) 'EP51',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 5, 1 ) 'C51',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 5, 1 ) 'NC51',
                  0 'PI51',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 5, 2 ) 'EP52',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 5, 2 ) 'C52',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 5, 2 ) 'NC52',
                  0 'PI52',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 6, 1 ) 'EP61',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 6, 1 ) 'C61',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 6, 1 ) 'NC61',
                  0 'PI61',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 27, 6, 2 ) 'EP62',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 28, 6, 2 ) 'C62',
                  dbo.fnc_get_participante( ccp, cur, 0, '$ini', '$fin', 29, 6, 2 ) 'NC62',
                  0 'PI62'
                FROM
                  (SELECT cc.CentroCivicoDescripcion 'ccp', pf.ProcesoFormativoNombre 'cur', COUNT(1) 'Total'
                    FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
                      INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
                    WHERE CentroCivicoID < 8 $whr GROUP BY cc.CentroCivicoDescripcion, pf.ProcesoFormativoNombre
                  ) t ORDER BY ccp, cur ";
      $em = $this->getDoctrine()->getManager();
      $statement = $em->getConnection()->prepare($sql);
      $statement->execute();
      $result = $statement->fetchAll();

      return new JsonResponse([ 'data' => $result ], Response::HTTP_OK, ['content-type'=>'application/json']);
    }

 private function getGeoJson( $provincia = 0, $distro = 0, $fini = '', $ffin = '', $stdo = 0 ){
   $whr    = '';
   $ccp    = ($provincia > 0) ? " AND cc.CentroCivicoID = $provincia " :'' ;
   $distro = ($distro > 0) ? " AND di.DistritoID = $distro " :'' ;
   $whr   .= ( $stdo > 0 ) ? " AND p2.ProcesoFormativoEstadoProceso = $stdo " : '' ;
   $whr   .= ( strlen( $fini ) > 5 ) ? " AND p2.ProcesoFormativoFecInscripcion >= '$fini' " : '' ;
   $whr   .= ( strlen( $ffin ) > 5 ) ? " AND p2.ProcesoFormativoFecInscripFina <= '$ffin' " : '' ;
   $sql    = " SELECT di.DistritoID AS id, di.DistritoDescripcion AS nombre, di.DistritoGeoJson AS geoJson FROM Distrito di INNER JOIN Canton ca ON ca.CantonID = di.CantonID INNER JOIN Provincia po ON po.ProvinciaID = ca.ProvinciaID INNER JOIN CentroCivico ce ON ce.ProvinciaID = po.ProvinciaID WHERE ce.CentroCivicoID = $provincia AND di.DistritoID IN ( SELECT dp.DistritoID FROM DistritoPoblacion dp GROUP BY dp.DistritoID )  ";
   $zonai  = " ,(SELECT CASE WHEN di.DistritoID IN ( SELECT dp.DistritoID FROM DistritoPoblacion dp GROUP BY dp.DistritoID ) THEN 1 ELSE 0 END) 'zonai' ";
   $users = " ,( SELECT COUNT(1) FROM ( SELECT DISTINCT ex.ExpedienteNumero FROM Expediente ex INNER JOIN ProcesoFormativo p2 ON p2.ExpedienteNumero = ex.ExpedienteNumero WHERE ex.ExpedienteDistritoId = di.DistritoID $whr GROUP BY ex.ExpedienteNumero ) t ) 'usuarios' ";
   $sql    = " SELECT di.DistritoID AS id, cc.CentroCivicoDescripcion AS nombre, di.DistritoDescripcion AS distrito, di.DistritoGeoJson AS geoJson $zonai $users FROM Distrito di INNER JOIN Canton ca ON ca.CantonID = di.CantonID INNER JOIN Provincia po ON po.ProvinciaID = ca.ProvinciaID INNER JOIN CentroCivico cc ON cc.ProvinciaID = po.ProvinciaID WHERE DATALENGTH(di.DistritoGeoJson ) > 100 AND di.DistritoID IN ( SELECT r2.ExpedienteDistritoId FROM Expediente r2 GROUP BY r2.ExpedienteDistritoId ) $ccp $distro ";
   $em = $this->getDoctrine()->getManager();
   $statement = $em->getConnection()->prepare($sql);
   $statement->execute();
   return $statement->fetchAll();
 }

 private function getSql($q = -1, $ccp = 0, $dis = -1, $ini = '', $fin = '', $std = -1, $sexo = -1){
   $anio = -1;
   $em = $this->getDoctrine()->getManager();
   $sql = '';
   $whr = '';
   if ( $q == '' ) {
     return '';
   } elseif ( $q == 'permanenciac' ) {
     $whr .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
     $whr .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
     $whr .= ( $ccp > -1 ) ? " AND cc.CentroCivicoID = $ccp " : '' ;
     $whr .= ( $dis > -1 ) ? "  AND ex.ExpedienteDistritoId = $dis " : '' ;
     $whr .= ( $std > -1 ) ? " AND pf.ProcesoFormativoEstadoProceso = $std " : '' ;
     $sql = "SELECT s.SexoDescripcion AS cat, COUNT(1) AS val
            FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
              INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
              INNER JOIN Sexo s ON s.SexoID = ex.SexoID
            WHERE pf.ProcesoFormativoEstadoProceso = 28 $whr
            GROUP BY s.SexoDescripcion ORDER BY s.SexoDescripcion ";
   } elseif ( $q == 'permanencian' ) {
     if ( $anio > -1 ) {
       $whr .= " AND pf.ProcesoFormativoFecInscripcion >= '$anio-01-01' AND pf.ProcesoFormativoFecInscripcion <= '$anio-12-31' ";
     } elseif ( strlen( $ini ) > 5 OR strlen( $fin ) > 5 ) {
       $whr .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
       $whr .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
     }
     $whr .= ( $ccp > -1 ) ? " AND cc.CentroCivicoID = $ccp " : '' ;
     $whr .= ( $dis > -1 ) ? "  AND ex.ExpedienteDistritoId = $dis " : '' ;
     $whr .= ( $std > -1 ) ? " AND pf.ProcesoFormativoEstadoProceso = $std " : '' ;
     $sql = "SELECT s.SexoDescripcion AS cat, COUNT(1) AS val
            FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
              INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
              INNER JOIN Sexo s ON s.SexoID = ex.SexoID
            WHERE pf.ProcesoFormativoEstadoProceso != 28 $whr
            GROUP BY s.SexoDescripcion ORDER BY s.SexoDescripcion ";
   } elseif ( $q == 'influencia' ) {
     $whr .= ( $dis > -1 ) ? " AND d.DistritoID = $dis " : '' ;
     $whr .= ( $ccp > -1 ) ? " AND c.CantonID IN ( SELECT cc.CantonID FROM CentroCivico cc WHERE cc.CentroCivicoID = $ccp ) " : '' ;
     $sql = "SELECT c.CantonDescripcion, cp.CantonPoblacionTotal, d.DistritoDescripcion, dp.DistritoPoblacionTotal , CAST( (100*( SELECT COUNT(1) FROM ( SELECT DISTINCT ex.ExpedienteNumero FROM Expediente ex INNER JOIN ProcesoFormativo p2 ON p2.ExpedienteNumero = ex.ExpedienteNumero WHERE ex.ExpedienteDistritoId = dp.DistritoID AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 GROUP BY ex.ExpedienteNumero ) t )/dp.DistritoPoblacionTotal) AS DECIMAL(6,2)) 'porcent'
               ,( SELECT COUNT(1) FROM ( SELECT DISTINCT ex.ExpedienteNumero FROM Expediente ex INNER JOIN ProcesoFormativo p2 ON p2.ExpedienteNumero = ex.ExpedienteNumero WHERE ex.ExpedienteDistritoId = dp.DistritoID AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 GROUP BY ex.ExpedienteNumero ) t ) distro
            FROM Canton c INNER JOIN CantonPoblacion cp ON cp.CantonID = c.CantonID
              INNER JOIN Distrito d ON d.CantonID = c.CantonID INNER JOIN DistritoPoblacion dp ON dp.DistritoID = d.DistritoID
            WHERE c.CantonID != 0 $whr
            ORDER BY c.CantonDescripcion, d.DistritoDescripcion ";
   } elseif ( $q == 'permanencia' ) {
     $whr .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
     $whr .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
     $whr .= ( $ccp > -1 ) ? " AND cc.CentroCivicoID = $ccp " : '' ;
     $whr .= ( $dis > -1 ) ? " AND di.DistritoID = $dis " : '' ;
     $whr .= ( $std > -1 ) ? " AND pf.ProcesoFormativoEstadoProceso = $std " : '' ;
     $sql = " SELECT re.RespuestaDescripcion AS cat, COUNT(1) AS val,
	               COUNT(CASE WHEN ex.SexoID = 1 AND ee.ExpEducacionActual = 2 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 7 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 12 THEN 1 END) h07p,
	               COUNT(CASE WHEN ex.SexoID = 2 AND ee.ExpEducacionActual = 2 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 7 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 12 THEN 1 END) m07p,
	               COUNT(CASE WHEN ex.SexoID = 1 AND ee.ExpEducacionActual = 2 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 THEN 1 END) h13p,
	               COUNT(CASE WHEN ex.SexoID = 2 AND ee.ExpEducacionActual = 2 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 THEN 1 END) m13p,
	               COUNT(CASE WHEN ex.SexoID = 1 AND ee.ExpEducacionActual = 3 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 7 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 12 THEN 1 END) h07n,
	               COUNT(CASE WHEN ex.SexoID = 2 AND ee.ExpEducacionActual = 3 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 7 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 12 THEN 1 END) m07n,
	               COUNT(CASE WHEN ex.SexoID = 1 AND ee.ExpEducacionActual = 3 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 THEN 1 END) h13n,
		             COUNT(CASE WHEN ex.SexoID = 2 AND ee.ExpEducacionActual = 3 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) >= 13 AND DATEDIFF(YEAR, ex.ExpedienteFecNac, GETDATE()) <= 17 THEN 1 END) m13n
              FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
	               INNER JOIN ExpEducacion ee ON ee.ExpedienteNumero = ex.ExpedienteNumero INNER JOIN Respuesta re ON re.RespuestaID = ee.ExpEducacionNivelEduc
                 INNER JOIN Distrito di ON di.DistritoID = ex.ExpedienteDistritoId
              WHERE re.RespuestaID IN (15, 17) GROUP BY re.RespuestaDescripcion ORDER BY re.RespuestaDescripcion ";
   } elseif ( $q == 'distribucion' ) {
     /* Distribución de Personas Usuarias según Área de Influencia CCP , $dis = -1, $ini = '', $fin = '', $std = -1, $sexo = -1*/
       $whr   .= ($ccp > 0) ? " AND cc.CentroCivicoID = $ccp " :'' ;
       $whr   .= ($dis > 0) ? " AND di.DistritoID = $dis " :'' ;
       $whr   .= ( $std > 0 ) ? " AND pf.ProcesoFormativoEstadoProceso = $std " : '' ;
       $whr   .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
       $whr   .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
     if ( $ccp > -1  OR $dis > -1 ) {
       $sql = "SELECT di.DistritoDescripcion AS cat, COUNT(1) AS val , SUM(CASE WHEN ex.SexoID = 1 THEN 1 END) h , SUM(CASE WHEN ex.SexoID = 2 THEN 1 END) m
            FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
              INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
              INNER JOIN Distrito di ON di.DistritoID = ex.ExpedienteDistritoId
            WHERE CentroCivicoID < 8 $whr
            GROUP BY di.DistritoDescripcion ORDER BY di.DistritoDescripcion";
     } else {
       $sql = "SELECT REPLACE(cc.CentroCivicoDescripcion,'Centro Cívico','CCP') AS cat, COUNT(1) AS val, SUM(CASE WHEN ex.SexoID = 1 THEN 1 END) h , SUM(CASE WHEN ex.SexoID = 2 THEN 1 END) m
              FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
                INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
              WHERE CentroCivicoID < 8 $whr
              GROUP BY cc.CentroCivicoDescripcion ORDER BY cc.CentroCivicoDescripcion";
     }
   } elseif ( $q == 'concluye' ) {
     /* Permanencia de Personas Usuarias en Procesos Formativos CCP (Cantidad de Personas usuarias que finalizan procesos)*/
     $whr .= ( strlen( $ini ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripcion >= '$ini' " : '' ;
     $whr .= ( strlen( $fin ) > 5 ) ? " AND pf.ProcesoFormativoFecInscripFina <= '$fin' " : '' ;
     $whr .= ( $ccp > -1 ) ? " AND cc.CentroCivicoID = $ccp " : '' ;
     $whr .= ( $dis > -1 ) ? "  AND di.DistritoID = $dis " : '' ;
     $whr .= ( $std > -1 ) ? " AND pf.ProcesoFormativoEstadoProceso = $std " : '' ;
     $sql = "SELECT COUNT(1) AS val, SUM(CASE WHEN ex.SexoID = 2 AND pf.ProcesoFormativoEstadoProceso = 28 THEN 1 END) mc, SUM(CASE WHEN ex.SexoID = 1 AND pf.ProcesoFormativoEstadoProceso = 28 THEN 1 END) hc, SUM(CASE WHEN ex.SexoID = 2 AND pf.ProcesoFormativoEstadoProceso != 28 THEN 1 END) mn, SUM(CASE WHEN ex.SexoID = 1 AND pf.ProcesoFormativoEstadoProceso != 28 THEN 1 END) hn
            FROM ProcesoFormativo pf INNER JOIN Expediente ex ON ex.ExpedienteNumero = pf.ExpedienteNumero
              INNER JOIN CentroCivico cc ON SUBSTRING( ex.ExpedienteNumero , 1, 3 ) = cc.CentroCivicoSiglas
              INNER JOIN Distrito di ON di.DistritoID = ex.ExpedienteDistritoId
            WHERE pf.ProcesoFormativoEstadoProceso != 0 $whr ";
   }

   if ( strlen( $sql ) > 5 ) {
     $statement = $em->getConnection()->prepare( $sql );
     $statement->execute();
     return $statement->fetchAll();
   }

   return array('error' => '' );
 }

 private function access(){
  $session = new Session();
  if ( $session->get('useridrol') >= $this->rolAccess )
    return TRUE;
  else
    return FALSE;
 }
}
