<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ExpComentario
 *
 * @ORM\Table(name="ExpComentario", indexes={@ORM\Index(name="IEXPTRABAJO1", columns={"ExpedienteNumero"})})
 * @ORM\Entity
 */
class ExpComentario
{
    /**
     * @var int
     *
     * @ORM\Column(name="ComentarioID", type="integer", nullable=false, options={"comment"="Mantiene un Número Consecutivo para cada registro de comentario"})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $comentarioid;

    /**
     * @var \Expediente
     *
     * @ORM\ManyToOne(targetEntity="Expediente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ExpedienteNumero", referencedColumnName="ExpedienteNumero")
     * })
     */
    private $expedientenumero;

    /**
     * @var string
     *
     * @ORM\Column(name="ExpComentario", type="string", length=750, nullable=false, options={"comment"="Preserva la información del comentario creado."})
     */
    private $expcomentario;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="ExpComentarioFecCrea", type="datetime", nullable=false, options={"comment"="Conserva la fecha en la cual se realizó el registro de la información."})
     */
    private $expcomentariofeccrea;

    /**
     * @var string
     *
     * @ORM\Column(name="ExpComentarioUsrCrea", type="string", length=255, nullable=false, options={"comment"="Preserva el usuario que creó el regsitro de estudios."})
     */
    private $expcomentariousrcrea;

    public function getComentarioid(): ?int
    {
        return $this->comentarioid;
    }

    public function getExpcomentario(): ?string
    {
        return $this->expcomentario;
    }

    public function setExpcomentario(string $expcomentario): self
    {
        $this->expcomentario = $expcomentario;

        return $this;
    }

    public function getExpedientenumero(): ?Expediente
    {
        return $this->expedientenumero;
    }

    public function setExpedientenumero(?Expediente $expedientenumero): self
    {
        $this->expedientenumero = $expedientenumero;

        return $this;
    }

    public function getExpcomentariofeccrea(): ?\DateTimeInterface
    {
        return $this->expcomentariofeccrea;
    }

    public function setExpcomentariofeccrea(\DateTimeInterface $expcomentariofeccrea): self
    {
        $this->expcomentariofeccrea = $expcomentariofeccrea;

        return $this;
    }

    public function getExpcomentariousrcrea(): ?string
    {
        return $this->expcomentariousrcrea;
    }

    public function setExpcomentariousrcrea(string $expcomentariousrcrea): self
    {
        $this->expcomentariousrcrea = $expcomentariousrcrea;

        return $this;
    }

    
}
