<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ExpComentario
 *
 * @ORM\Table(name="ExpDiscapacidad", indexes={@ORM\Index(name="IEXPDiscapacidad1", columns={"ExpedienteNumero"})})
 * @ORM\Entity
 */
class ExpDiscapacidad
{
    /**
     * @var int
     *
     * @ORM\Column(name="DiscapacidadID", type="integer", nullable=false, options={"comment"="Mantiene un Número Consecutivo para cada registro de comentario"})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $discapacidadid;

    /**
     * @var \Expediente
     *
     * @ORM\ManyToOne(targetEntity="Expediente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ExpedienteNumero", referencedColumnName="ExpedienteNumero")
     * })
     */
    private $expedientenumero;


    /**
     * @var \DateTime
     *
     * @ORM\Column(name="ExpDiscapacidadFecCrea", type="datetime", nullable=false, options={"comment"="Conserva la fecha en la cual se realizó el registro de la información."})
     */
    private $expdiscapacidadfeccrea;

    /**
     * @var string
     *
     * @ORM\Column(name="ExpDiscapacidadUsrCrea", type="string", length=255, nullable=false, options={"comment"="Preserva el usuario que creó el regsitro de discapacidad."})
     */
    private $expdiscapacidadusrcrea;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="ExpDiscapacidadFecMod", type="datetime", nullable=false, options={"comment"="Conserva la fecha en la cual se realizó el registro de la información."})
     */
    private $expdiscapacidadfecmod;

    /**
     * @var string
     *
     * @ORM\Column(name="ExpDiscapacidadUsrMod", type="string", length=255, nullable=false, options={"comment"="Preserva el usuario que modifico el regsitro de discapacidad."})
     */
    private $expdiscapacidadusrmod;

    /**
     * @var \Discapacidad
     *
     * @ORM\ManyToOne(targetEntity="Discapacidad")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="DiscapacidadSubCategoria", referencedColumnName="DiscapacidadID")
     * })
     */
    private $discapacidadsubcategoria;
    
    

    public function getDiscapacidadid(): ?int
    {
        return $this->discapacidadid;
    }

    public function getExpdiscapacidadfeccrea(): ?\DateTimeInterface
    {
        return $this->expdiscapacidadfeccrea;
    }

    public function setExpdiscapacidadfeccrea(\DateTimeInterface $expdiscapacidadfeccrea): self
    {
        $this->expdiscapacidadfeccrea = $expdiscapacidadfeccrea;

        return $this;
    }

    public function getExpdiscapacidadusrcrea(): ?string
    {
        return $this->expdiscapacidadusrcrea;
    }

    public function setExpdiscapacidadusrcrea(string $expdiscapacidadusrcrea): self
    {
        $this->expdiscapacidadusrcrea = $expdiscapacidadusrcrea;

        return $this;
    }

    public function getExpdiscapacidadfecmod(): ?\DateTimeInterface
    {
        return $this->expdiscapacidadfecmod;
    }

    public function setExpdiscapacidadfecmod(\DateTimeInterface $expdiscapacidadfecmod): self
    {
        $this->expdiscapacidadfecmod = $expdiscapacidadfecmod;

        return $this;
    }

    public function getExpdiscapacidadusrmod(): ?string
    {
        return $this->expdiscapacidadusrmod;
    }

    public function setExpdiscapacidadusrmod(string $expdiscapacidadusrmod): self
    {
        $this->expdiscapacidadusrmod = $expdiscapacidadusrmod;

        return $this;
    }

    public function getExpedientenumero(): ?Expediente
    {
        return $this->expedientenumero;
    }

    public function setExpedientenumero(?Expediente $expedientenumero): self
    {
        $this->expedientenumero = $expedientenumero;

        return $this;
    }

    public function getDiscapacidadsubcategoria(): ?Discapacidad
    {
        return $this->discapacidadsubcategoria;
    }

    public function setDiscapacidadsubcategoria(?Discapacidad $discapacidadsubcategoria): self
    {
        $this->discapacidadsubcategoria = $discapacidadsubcategoria;

        return $this;
    }

    

    
}
