<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Oferta
 *
 * @ORM\Table(name="Oferta", indexes={@ORM\Index(name="IDX_73D5CDC45A796DED", columns={"CursoID"})})
 * @ORM\Entity
 */
class Oferta
{
    /**
     * @var int
     *
     * @ORM\Column(name="OfertaID", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ofertaid;

    /**
     * @var string
     *
     * @ORM\Column(name="OfertaFechaIni", type="string", nullable=false)
     */
    private $ofertafechaini;

    /**
     * @var string
     *
     * @ORM\Column(name="OfertaFechaFin", type="string", nullable=false)
     */
    private $ofertafechafin;

    /**
     * @var string
     *
     * @ORM\Column(name="OfertaDescripcion", type="string", length=0, nullable=false)
     */
    private $ofertadescripcion;

    /**
     * @var \Curso
     *
     * @ORM\ManyToOne(targetEntity="Curso")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="CursoID", referencedColumnName="CursoID")
     * })
     */
    private $cursoid;

    public function getOfertaid(): ?int
    {
        return $this->ofertaid;
    }

    public function getOfertafechaini(): ?string
    {
        return $this->ofertafechaini;
    }

    public function setOfertafechaini(string $ofertafechaini): self
    {
        $this->ofertafechaini = $ofertafechaini;

        return $this;
    }

    public function getOfertafechafin(): ?string
    {
        return $this->ofertafechafin;
    }

    public function setOfertafechafin(string $ofertafechafin): self
    {
        $this->ofertafechafin = $ofertafechafin;

        return $this;
    }

    public function getOfertadescripcion(): ?string
    {
        return $this->ofertadescripcion;
    }

    public function setOfertadescripcion(string $ofertadescripcion): self
    {
        $this->ofertadescripcion = $ofertadescripcion;

        return $this;
    }

    public function getCursoid(): ?Curso
    {
        return $this->cursoid;
    }

    public function setCursoid(?Curso $cursoid): self
    {
        $this->cursoid = $cursoid;

        return $this;
    }


}
